#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 495
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 143
#define ALIAS_COUNT 0
#define TOKEN_COUNT 74
#define EXTERNAL_TOKEN_COUNT 11
#define FIELD_COUNT 2
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 5

enum ts_symbol_identifiers {
  sym_Name = 1,
  anon_sym_LT_BANG = 2,
  anon_sym_ELEMENT = 3,
  anon_sym_GT = 4,
  anon_sym_EMPTY = 5,
  anon_sym_ANY = 6,
  anon_sym_LPAREN = 7,
  anon_sym_POUNDPCDATA = 8,
  anon_sym_PIPE = 9,
  anon_sym_RPAREN = 10,
  anon_sym_STAR = 11,
  anon_sym_QMARK = 12,
  anon_sym_PLUS = 13,
  anon_sym_COMMA = 14,
  anon_sym_ATTLIST = 15,
  anon_sym_CDATA = 16,
  sym_TokenizedType = 17,
  anon_sym_NOTATION = 18,
  anon_sym_POUNDREQUIRED = 19,
  anon_sym_POUNDIMPLIED = 20,
  anon_sym_POUNDFIXED = 21,
  anon_sym_ENTITY = 22,
  anon_sym_PERCENT = 23,
  anon_sym_DQUOTE = 24,
  aux_sym_EntityValue_token1 = 25,
  anon_sym_SQUOTE = 26,
  aux_sym_EntityValue_token2 = 27,
  anon_sym_NDATA = 28,
  anon_sym_SEMI = 29,
  sym__S = 30,
  sym_Nmtoken = 31,
  anon_sym_AMP = 32,
  anon_sym_AMP_POUND = 33,
  aux_sym_CharRef_token1 = 34,
  anon_sym_AMP_POUNDx = 35,
  aux_sym_CharRef_token2 = 36,
  aux_sym_AttValue_token1 = 37,
  aux_sym_AttValue_token2 = 38,
  anon_sym_SYSTEM = 39,
  anon_sym_PUBLIC = 40,
  aux_sym_SystemLiteral_token1 = 41,
  aux_sym_SystemLiteral_token2 = 42,
  aux_sym_PubidLiteral_token1 = 43,
  aux_sym_PubidLiteral_token2 = 44,
  anon_sym_LT_QMARK = 45,
  anon_sym_xml = 46,
  anon_sym_QMARK_GT = 47,
  anon_sym_version = 48,
  sym_VersionNum = 49,
  anon_sym_encoding = 50,
  sym_EncName = 51,
  anon_sym_EQ = 52,
  anon_sym_standalone = 53,
  anon_sym_yes = 54,
  anon_sym_no = 55,
  anon_sym_DOCTYPE = 56,
  anon_sym_LBRACK = 57,
  anon_sym_RBRACK = 58,
  anon_sym_LT = 59,
  anon_sym_SLASH_GT = 60,
  anon_sym_LT_SLASH = 61,
  anon_sym_RBRACK_RBRACK_GT = 62,
  anon_sym_LT_BANG_LBRACK = 63,
  anon_sym_xml_DASHstylesheet = 64,
  anon_sym_xml_DASHmodel = 65,
  sym_PITarget = 66,
  sym__pi_content = 67,
  sym_Comment = 68,
  sym_CharData = 69,
  sym_CData = 70,
  sym__start_tag_name = 71,
  sym__end_tag_name = 72,
  sym__erroneous_end_name = 73,
  sym_document = 74,
  sym__markupdecl = 75,
  sym__DeclSep = 76,
  sym_elementdecl = 77,
  sym_contentspec = 78,
  sym_Mixed = 79,
  sym_children = 80,
  sym__cp = 81,
  sym__choice = 82,
  sym_AttlistDecl = 83,
  sym_AttDef = 84,
  sym__AttType = 85,
  sym_StringType = 86,
  sym__EnumeratedType = 87,
  sym_NotationType = 88,
  sym_Enumeration = 89,
  sym_DefaultDecl = 90,
  sym__EntityDecl = 91,
  sym_GEDecl = 92,
  sym_PEDecl = 93,
  sym_EntityValue = 94,
  sym_NDataDecl = 95,
  sym_NotationDecl = 96,
  sym_PEReference = 97,
  sym__Reference = 98,
  sym_EntityRef = 99,
  sym_CharRef = 100,
  sym_AttValue = 101,
  sym_ExternalID = 102,
  sym_PublicID = 103,
  sym_SystemLiteral = 104,
  sym_PubidLiteral = 105,
  sym_XMLDecl = 106,
  sym__VersionInfo = 107,
  sym__EncodingDecl = 108,
  sym_PI = 109,
  sym__Eq = 110,
  sym_prolog = 111,
  sym__Misc = 112,
  sym__SDDecl = 113,
  sym_doctypedecl = 114,
  aux_sym__intSubset = 115,
  sym_element = 116,
  sym_EmptyElemTag = 117,
  sym_Attribute = 118,
  sym_STag = 119,
  sym_ETag = 120,
  sym_content = 121,
  sym_CDSect = 122,
  sym_CDStart = 123,
  sym_StyleSheetPI = 124,
  sym_XmlModelPI = 125,
  sym_PseudoAtt = 126,
  sym_PseudoAttValue = 127,
  aux_sym_document_repeat1 = 128,
  aux_sym_Mixed_repeat1 = 129,
  aux_sym_Mixed_repeat2 = 130,
  aux_sym__choice_repeat1 = 131,
  aux_sym__choice_repeat2 = 132,
  aux_sym_AttlistDecl_repeat1 = 133,
  aux_sym_NotationType_repeat1 = 134,
  aux_sym_Enumeration_repeat1 = 135,
  aux_sym_EntityValue_repeat1 = 136,
  aux_sym_EntityValue_repeat2 = 137,
  aux_sym_AttValue_repeat1 = 138,
  aux_sym_AttValue_repeat2 = 139,
  aux_sym_EmptyElemTag_repeat1 = 140,
  aux_sym_content_repeat1 = 141,
  aux_sym_StyleSheetPI_repeat1 = 142,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_Name] = "Name",
  [anon_sym_LT_BANG] = "<!",
  [anon_sym_ELEMENT] = "ELEMENT",
  [anon_sym_GT] = ">",
  [anon_sym_EMPTY] = "EMPTY",
  [anon_sym_ANY] = "ANY",
  [anon_sym_LPAREN] = "(",
  [anon_sym_POUNDPCDATA] = "#PCDATA",
  [anon_sym_PIPE] = "|",
  [anon_sym_RPAREN] = ")",
  [anon_sym_STAR] = "*",
  [anon_sym_QMARK] = "\?",
  [anon_sym_PLUS] = "+",
  [anon_sym_COMMA] = ",",
  [anon_sym_ATTLIST] = "ATTLIST",
  [anon_sym_CDATA] = "CDATA",
  [sym_TokenizedType] = "TokenizedType",
  [anon_sym_NOTATION] = "NOTATION",
  [anon_sym_POUNDREQUIRED] = "#REQUIRED",
  [anon_sym_POUNDIMPLIED] = "#IMPLIED",
  [anon_sym_POUNDFIXED] = "#FIXED",
  [anon_sym_ENTITY] = "ENTITY",
  [anon_sym_PERCENT] = "%",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_EntityValue_token1] = "EntityValue_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_EntityValue_token2] = "EntityValue_token2",
  [anon_sym_NDATA] = "NDATA",
  [anon_sym_SEMI] = ";",
  [sym__S] = "_S",
  [sym_Nmtoken] = "Nmtoken",
  [anon_sym_AMP] = "&",
  [anon_sym_AMP_POUND] = "&#",
  [aux_sym_CharRef_token1] = "CharRef_token1",
  [anon_sym_AMP_POUNDx] = "&#x",
  [aux_sym_CharRef_token2] = "CharRef_token2",
  [aux_sym_AttValue_token1] = "AttValue_token1",
  [aux_sym_AttValue_token2] = "AttValue_token2",
  [anon_sym_SYSTEM] = "SYSTEM",
  [anon_sym_PUBLIC] = "PUBLIC",
  [aux_sym_SystemLiteral_token1] = "URI",
  [aux_sym_SystemLiteral_token2] = "URI",
  [aux_sym_PubidLiteral_token1] = "PubidLiteral_token1",
  [aux_sym_PubidLiteral_token2] = "PubidLiteral_token2",
  [anon_sym_LT_QMARK] = "<\?",
  [anon_sym_xml] = "xml",
  [anon_sym_QMARK_GT] = "\?>",
  [anon_sym_version] = "version",
  [sym_VersionNum] = "VersionNum",
  [anon_sym_encoding] = "encoding",
  [sym_EncName] = "EncName",
  [anon_sym_EQ] = "=",
  [anon_sym_standalone] = "standalone",
  [anon_sym_yes] = "yes",
  [anon_sym_no] = "no",
  [anon_sym_DOCTYPE] = "DOCTYPE",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LT] = "<",
  [anon_sym_SLASH_GT] = "/>",
  [anon_sym_LT_SLASH] = "</",
  [anon_sym_RBRACK_RBRACK_GT] = "]]>",
  [anon_sym_LT_BANG_LBRACK] = "<![",
  [anon_sym_xml_DASHstylesheet] = "xml-stylesheet",
  [anon_sym_xml_DASHmodel] = "xml-model",
  [sym_PITarget] = "PITarget",
  [sym__pi_content] = "_pi_content",
  [sym_Comment] = "Comment",
  [sym_CharData] = "CharData",
  [sym_CData] = "CData",
  [sym__start_tag_name] = "Name",
  [sym__end_tag_name] = "Name",
  [sym__erroneous_end_name] = "_erroneous_end_name",
  [sym_document] = "document",
  [sym__markupdecl] = "_markupdecl",
  [sym__DeclSep] = "_DeclSep",
  [sym_elementdecl] = "elementdecl",
  [sym_contentspec] = "contentspec",
  [sym_Mixed] = "Mixed",
  [sym_children] = "children",
  [sym__cp] = "_cp",
  [sym__choice] = "_choice",
  [sym_AttlistDecl] = "AttlistDecl",
  [sym_AttDef] = "AttDef",
  [sym__AttType] = "_AttType",
  [sym_StringType] = "StringType",
  [sym__EnumeratedType] = "_EnumeratedType",
  [sym_NotationType] = "NotationType",
  [sym_Enumeration] = "Enumeration",
  [sym_DefaultDecl] = "DefaultDecl",
  [sym__EntityDecl] = "_EntityDecl",
  [sym_GEDecl] = "GEDecl",
  [sym_PEDecl] = "PEDecl",
  [sym_EntityValue] = "EntityValue",
  [sym_NDataDecl] = "NDataDecl",
  [sym_NotationDecl] = "NotationDecl",
  [sym_PEReference] = "PEReference",
  [sym__Reference] = "_Reference",
  [sym_EntityRef] = "EntityRef",
  [sym_CharRef] = "CharRef",
  [sym_AttValue] = "AttValue",
  [sym_ExternalID] = "ExternalID",
  [sym_PublicID] = "PublicID",
  [sym_SystemLiteral] = "SystemLiteral",
  [sym_PubidLiteral] = "PubidLiteral",
  [sym_XMLDecl] = "XMLDecl",
  [sym__VersionInfo] = "_VersionInfo",
  [sym__EncodingDecl] = "_EncodingDecl",
  [sym_PI] = "PI",
  [sym__Eq] = "_Eq",
  [sym_prolog] = "prolog",
  [sym__Misc] = "_Misc",
  [sym__SDDecl] = "_SDDecl",
  [sym_doctypedecl] = "doctypedecl",
  [aux_sym__intSubset] = "_intSubset",
  [sym_element] = "element",
  [sym_EmptyElemTag] = "EmptyElemTag",
  [sym_Attribute] = "Attribute",
  [sym_STag] = "STag",
  [sym_ETag] = "ETag",
  [sym_content] = "content",
  [sym_CDSect] = "CDSect",
  [sym_CDStart] = "CDStart",
  [sym_StyleSheetPI] = "StyleSheetPI",
  [sym_XmlModelPI] = "XmlModelPI",
  [sym_PseudoAtt] = "PseudoAtt",
  [sym_PseudoAttValue] = "PseudoAttValue",
  [aux_sym_document_repeat1] = "document_repeat1",
  [aux_sym_Mixed_repeat1] = "Mixed_repeat1",
  [aux_sym_Mixed_repeat2] = "Mixed_repeat2",
  [aux_sym__choice_repeat1] = "_choice_repeat1",
  [aux_sym__choice_repeat2] = "_choice_repeat2",
  [aux_sym_AttlistDecl_repeat1] = "AttlistDecl_repeat1",
  [aux_sym_NotationType_repeat1] = "NotationType_repeat1",
  [aux_sym_Enumeration_repeat1] = "Enumeration_repeat1",
  [aux_sym_EntityValue_repeat1] = "EntityValue_repeat1",
  [aux_sym_EntityValue_repeat2] = "EntityValue_repeat2",
  [aux_sym_AttValue_repeat1] = "AttValue_repeat1",
  [aux_sym_AttValue_repeat2] = "AttValue_repeat2",
  [aux_sym_EmptyElemTag_repeat1] = "EmptyElemTag_repeat1",
  [aux_sym_content_repeat1] = "content_repeat1",
  [aux_sym_StyleSheetPI_repeat1] = "StyleSheetPI_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_Name] = sym_Name,
  [anon_sym_LT_BANG] = anon_sym_LT_BANG,
  [anon_sym_ELEMENT] = anon_sym_ELEMENT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_EMPTY] = anon_sym_EMPTY,
  [anon_sym_ANY] = anon_sym_ANY,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_POUNDPCDATA] = anon_sym_POUNDPCDATA,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_ATTLIST] = anon_sym_ATTLIST,
  [anon_sym_CDATA] = anon_sym_CDATA,
  [sym_TokenizedType] = sym_TokenizedType,
  [anon_sym_NOTATION] = anon_sym_NOTATION,
  [anon_sym_POUNDREQUIRED] = anon_sym_POUNDREQUIRED,
  [anon_sym_POUNDIMPLIED] = anon_sym_POUNDIMPLIED,
  [anon_sym_POUNDFIXED] = anon_sym_POUNDFIXED,
  [anon_sym_ENTITY] = anon_sym_ENTITY,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_EntityValue_token1] = aux_sym_EntityValue_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_EntityValue_token2] = aux_sym_EntityValue_token2,
  [anon_sym_NDATA] = anon_sym_NDATA,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [sym__S] = sym__S,
  [sym_Nmtoken] = sym_Nmtoken,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_AMP_POUND] = anon_sym_AMP_POUND,
  [aux_sym_CharRef_token1] = aux_sym_CharRef_token1,
  [anon_sym_AMP_POUNDx] = anon_sym_AMP_POUNDx,
  [aux_sym_CharRef_token2] = aux_sym_CharRef_token2,
  [aux_sym_AttValue_token1] = aux_sym_AttValue_token1,
  [aux_sym_AttValue_token2] = aux_sym_AttValue_token2,
  [anon_sym_SYSTEM] = anon_sym_SYSTEM,
  [anon_sym_PUBLIC] = anon_sym_PUBLIC,
  [aux_sym_SystemLiteral_token1] = aux_sym_SystemLiteral_token1,
  [aux_sym_SystemLiteral_token2] = aux_sym_SystemLiteral_token1,
  [aux_sym_PubidLiteral_token1] = aux_sym_PubidLiteral_token1,
  [aux_sym_PubidLiteral_token2] = aux_sym_PubidLiteral_token2,
  [anon_sym_LT_QMARK] = anon_sym_LT_QMARK,
  [anon_sym_xml] = anon_sym_xml,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [anon_sym_version] = anon_sym_version,
  [sym_VersionNum] = sym_VersionNum,
  [anon_sym_encoding] = anon_sym_encoding,
  [sym_EncName] = sym_EncName,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_standalone] = anon_sym_standalone,
  [anon_sym_yes] = anon_sym_yes,
  [anon_sym_no] = anon_sym_no,
  [anon_sym_DOCTYPE] = anon_sym_DOCTYPE,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_SLASH_GT] = anon_sym_SLASH_GT,
  [anon_sym_LT_SLASH] = anon_sym_LT_SLASH,
  [anon_sym_RBRACK_RBRACK_GT] = anon_sym_RBRACK_RBRACK_GT,
  [anon_sym_LT_BANG_LBRACK] = anon_sym_LT_BANG_LBRACK,
  [anon_sym_xml_DASHstylesheet] = anon_sym_xml_DASHstylesheet,
  [anon_sym_xml_DASHmodel] = anon_sym_xml_DASHmodel,
  [sym_PITarget] = sym_PITarget,
  [sym__pi_content] = sym__pi_content,
  [sym_Comment] = sym_Comment,
  [sym_CharData] = sym_CharData,
  [sym_CData] = sym_CData,
  [sym__start_tag_name] = sym_Name,
  [sym__end_tag_name] = sym_Name,
  [sym__erroneous_end_name] = sym__erroneous_end_name,
  [sym_document] = sym_document,
  [sym__markupdecl] = sym__markupdecl,
  [sym__DeclSep] = sym__DeclSep,
  [sym_elementdecl] = sym_elementdecl,
  [sym_contentspec] = sym_contentspec,
  [sym_Mixed] = sym_Mixed,
  [sym_children] = sym_children,
  [sym__cp] = sym__cp,
  [sym__choice] = sym__choice,
  [sym_AttlistDecl] = sym_AttlistDecl,
  [sym_AttDef] = sym_AttDef,
  [sym__AttType] = sym__AttType,
  [sym_StringType] = sym_StringType,
  [sym__EnumeratedType] = sym__EnumeratedType,
  [sym_NotationType] = sym_NotationType,
  [sym_Enumeration] = sym_Enumeration,
  [sym_DefaultDecl] = sym_DefaultDecl,
  [sym__EntityDecl] = sym__EntityDecl,
  [sym_GEDecl] = sym_GEDecl,
  [sym_PEDecl] = sym_PEDecl,
  [sym_EntityValue] = sym_EntityValue,
  [sym_NDataDecl] = sym_NDataDecl,
  [sym_NotationDecl] = sym_NotationDecl,
  [sym_PEReference] = sym_PEReference,
  [sym__Reference] = sym__Reference,
  [sym_EntityRef] = sym_EntityRef,
  [sym_CharRef] = sym_CharRef,
  [sym_AttValue] = sym_AttValue,
  [sym_ExternalID] = sym_ExternalID,
  [sym_PublicID] = sym_PublicID,
  [sym_SystemLiteral] = sym_SystemLiteral,
  [sym_PubidLiteral] = sym_PubidLiteral,
  [sym_XMLDecl] = sym_XMLDecl,
  [sym__VersionInfo] = sym__VersionInfo,
  [sym__EncodingDecl] = sym__EncodingDecl,
  [sym_PI] = sym_PI,
  [sym__Eq] = sym__Eq,
  [sym_prolog] = sym_prolog,
  [sym__Misc] = sym__Misc,
  [sym__SDDecl] = sym__SDDecl,
  [sym_doctypedecl] = sym_doctypedecl,
  [aux_sym__intSubset] = aux_sym__intSubset,
  [sym_element] = sym_element,
  [sym_EmptyElemTag] = sym_EmptyElemTag,
  [sym_Attribute] = sym_Attribute,
  [sym_STag] = sym_STag,
  [sym_ETag] = sym_ETag,
  [sym_content] = sym_content,
  [sym_CDSect] = sym_CDSect,
  [sym_CDStart] = sym_CDStart,
  [sym_StyleSheetPI] = sym_StyleSheetPI,
  [sym_XmlModelPI] = sym_XmlModelPI,
  [sym_PseudoAtt] = sym_PseudoAtt,
  [sym_PseudoAttValue] = sym_PseudoAttValue,
  [aux_sym_document_repeat1] = aux_sym_document_repeat1,
  [aux_sym_Mixed_repeat1] = aux_sym_Mixed_repeat1,
  [aux_sym_Mixed_repeat2] = aux_sym_Mixed_repeat2,
  [aux_sym__choice_repeat1] = aux_sym__choice_repeat1,
  [aux_sym__choice_repeat2] = aux_sym__choice_repeat2,
  [aux_sym_AttlistDecl_repeat1] = aux_sym_AttlistDecl_repeat1,
  [aux_sym_NotationType_repeat1] = aux_sym_NotationType_repeat1,
  [aux_sym_Enumeration_repeat1] = aux_sym_Enumeration_repeat1,
  [aux_sym_EntityValue_repeat1] = aux_sym_EntityValue_repeat1,
  [aux_sym_EntityValue_repeat2] = aux_sym_EntityValue_repeat2,
  [aux_sym_AttValue_repeat1] = aux_sym_AttValue_repeat1,
  [aux_sym_AttValue_repeat2] = aux_sym_AttValue_repeat2,
  [aux_sym_EmptyElemTag_repeat1] = aux_sym_EmptyElemTag_repeat1,
  [aux_sym_content_repeat1] = aux_sym_content_repeat1,
  [aux_sym_StyleSheetPI_repeat1] = aux_sym_StyleSheetPI_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_Name] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LT_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ELEMENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EMPTY] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ANY] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDPCDATA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATTLIST] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CDATA] = {
    .visible = true,
    .named = false,
  },
  [sym_TokenizedType] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NOTATION] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDREQUIRED] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDIMPLIED] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDFIXED] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ENTITY] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_EntityValue_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_EntityValue_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_NDATA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [sym__S] = {
    .visible = false,
    .named = true,
  },
  [sym_Nmtoken] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_POUND] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_CharRef_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_AMP_POUNDx] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_CharRef_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_AttValue_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_AttValue_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SYSTEM] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PUBLIC] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_SystemLiteral_token1] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_SystemLiteral_token2] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_PubidLiteral_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_PubidLiteral_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xml] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_version] = {
    .visible = true,
    .named = false,
  },
  [sym_VersionNum] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_encoding] = {
    .visible = true,
    .named = false,
  },
  [sym_EncName] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_standalone] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yes] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_no] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOCTYPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_BANG_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xml_DASHstylesheet] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xml_DASHmodel] = {
    .visible = true,
    .named = false,
  },
  [sym_PITarget] = {
    .visible = true,
    .named = true,
  },
  [sym__pi_content] = {
    .visible = false,
    .named = true,
  },
  [sym_Comment] = {
    .visible = true,
    .named = true,
  },
  [sym_CharData] = {
    .visible = true,
    .named = true,
  },
  [sym_CData] = {
    .visible = true,
    .named = true,
  },
  [sym__start_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__end_tag_name] = {
    .visible = true,
    .named = true,
  },
  [sym__erroneous_end_name] = {
    .visible = false,
    .named = true,
  },
  [sym_document] = {
    .visible = true,
    .named = true,
  },
  [sym__markupdecl] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__DeclSep] = {
    .visible = false,
    .named = true,
  },
  [sym_elementdecl] = {
    .visible = true,
    .named = true,
  },
  [sym_contentspec] = {
    .visible = true,
    .named = true,
  },
  [sym_Mixed] = {
    .visible = true,
    .named = true,
  },
  [sym_children] = {
    .visible = true,
    .named = true,
  },
  [sym__cp] = {
    .visible = false,
    .named = true,
  },
  [sym__choice] = {
    .visible = false,
    .named = true,
  },
  [sym_AttlistDecl] = {
    .visible = true,
    .named = true,
  },
  [sym_AttDef] = {
    .visible = true,
    .named = true,
  },
  [sym__AttType] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_StringType] = {
    .visible = true,
    .named = true,
  },
  [sym__EnumeratedType] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_NotationType] = {
    .visible = true,
    .named = true,
  },
  [sym_Enumeration] = {
    .visible = true,
    .named = true,
  },
  [sym_DefaultDecl] = {
    .visible = true,
    .named = true,
  },
  [sym__EntityDecl] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_GEDecl] = {
    .visible = true,
    .named = true,
  },
  [sym_PEDecl] = {
    .visible = true,
    .named = true,
  },
  [sym_EntityValue] = {
    .visible = true,
    .named = true,
  },
  [sym_NDataDecl] = {
    .visible = true,
    .named = true,
  },
  [sym_NotationDecl] = {
    .visible = true,
    .named = true,
  },
  [sym_PEReference] = {
    .visible = true,
    .named = true,
  },
  [sym__Reference] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_EntityRef] = {
    .visible = true,
    .named = true,
  },
  [sym_CharRef] = {
    .visible = true,
    .named = true,
  },
  [sym_AttValue] = {
    .visible = true,
    .named = true,
  },
  [sym_ExternalID] = {
    .visible = true,
    .named = true,
  },
  [sym_PublicID] = {
    .visible = true,
    .named = true,
  },
  [sym_SystemLiteral] = {
    .visible = true,
    .named = true,
  },
  [sym_PubidLiteral] = {
    .visible = true,
    .named = true,
  },
  [sym_XMLDecl] = {
    .visible = true,
    .named = true,
  },
  [sym__VersionInfo] = {
    .visible = false,
    .named = true,
  },
  [sym__EncodingDecl] = {
    .visible = false,
    .named = true,
  },
  [sym_PI] = {
    .visible = true,
    .named = true,
  },
  [sym__Eq] = {
    .visible = false,
    .named = true,
  },
  [sym_prolog] = {
    .visible = true,
    .named = true,
  },
  [sym__Misc] = {
    .visible = false,
    .named = true,
  },
  [sym__SDDecl] = {
    .visible = false,
    .named = true,
  },
  [sym_doctypedecl] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__intSubset] = {
    .visible = false,
    .named = false,
  },
  [sym_element] = {
    .visible = true,
    .named = true,
  },
  [sym_EmptyElemTag] = {
    .visible = true,
    .named = true,
  },
  [sym_Attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_STag] = {
    .visible = true,
    .named = true,
  },
  [sym_ETag] = {
    .visible = true,
    .named = true,
  },
  [sym_content] = {
    .visible = true,
    .named = true,
  },
  [sym_CDSect] = {
    .visible = true,
    .named = true,
  },
  [sym_CDStart] = {
    .visible = true,
    .named = true,
  },
  [sym_StyleSheetPI] = {
    .visible = true,
    .named = true,
  },
  [sym_XmlModelPI] = {
    .visible = true,
    .named = true,
  },
  [sym_PseudoAtt] = {
    .visible = true,
    .named = true,
  },
  [sym_PseudoAttValue] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_document_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_Mixed_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_Mixed_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__choice_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__choice_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_AttlistDecl_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_NotationType_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_Enumeration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_EntityValue_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_EntityValue_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_AttValue_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_AttValue_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_EmptyElemTag_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_StyleSheetPI_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_content = 1,
  field_root = 2,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_content] = "content",
  [field_root] = "root",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 1},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_root, 0},
  [1] =
    {field_root, 1},
  [2] =
    {field_root, 2},
  [3] =
    {field_content, 1},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 79,
  [82] = 80,
  [83] = 42,
  [84] = 43,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 55,
  [101] = 54,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 70,
  [107] = 107,
  [108] = 108,
  [109] = 75,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 34,
  [122] = 62,
  [123] = 54,
  [124] = 55,
  [125] = 34,
  [126] = 62,
  [127] = 127,
  [128] = 34,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 62,
  [152] = 152,
  [153] = 54,
  [154] = 55,
  [155] = 62,
  [156] = 54,
  [157] = 55,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 69,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 76,
  [177] = 177,
  [178] = 77,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 35,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 71,
  [205] = 74,
  [206] = 72,
  [207] = 207,
  [208] = 208,
  [209] = 175,
  [210] = 203,
  [211] = 211,
  [212] = 191,
  [213] = 211,
  [214] = 214,
  [215] = 215,
  [216] = 68,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 284,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 256,
  [359] = 259,
  [360] = 70,
  [361] = 361,
  [362] = 75,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 284,
  [369] = 369,
  [370] = 282,
  [371] = 371,
  [372] = 372,
  [373] = 305,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 377,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 432,
  [454] = 435,
  [455] = 455,
  [456] = 403,
  [457] = 457,
  [458] = 383,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 439,
  [464] = 464,
  [465] = 432,
  [466] = 435,
  [467] = 403,
  [468] = 439,
  [469] = 432,
  [470] = 435,
  [471] = 439,
  [472] = 432,
  [473] = 435,
  [474] = 444,
  [475] = 461,
  [476] = 396,
  [477] = 477,
  [478] = 414,
  [479] = 425,
  [480] = 408,
  [481] = 443,
  [482] = 461,
  [483] = 396,
  [484] = 377,
  [485] = 408,
  [486] = 443,
  [487] = 461,
  [488] = 396,
  [489] = 377,
  [490] = 443,
  [491] = 461,
  [492] = 396,
  [493] = 377,
  [494] = 494,
};

static TSCharacterRange aux_sym_PubidLiteral_token1_character_set_1[] = {
  {'\n', '\n'}, {'\r', '\r'}, {' ', '!'}, {'#', '%'}, {'\'', ';'}, {'=', '='}, {'?', 'Z'}, {'_', '_'},
  {'a', 'z'},
};

static TSCharacterRange aux_sym_PubidLiteral_token2_character_set_1[] = {
  {'\n', '\n'}, {'\r', '\r'}, {' ', '!'}, {'#', '%'}, {'(', ';'}, {'=', '='}, {'?', 'Z'}, {'_', '_'},
  {'a', 'z'},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(42);
      ADVANCE_MAP(
        '"', 64,
        '#', 69,
        '%', 63,
        '&', 118,
        '\'', 78,
        '(', 46,
        ')', 49,
        '*', 50,
        '+', 52,
        ',', 53,
        '/', 67,
        '1', 66,
        ';', 80,
        '<', 137,
        '=', 133,
        '>', 45,
        '?', 51,
        'E', 71,
        'I', 68,
        'N', 70,
        '[', 134,
        ']', 136,
        '_', 77,
        '|', 48,
        '\t', 74,
        '\n', 74,
        '\r', 74,
        ' ', 74,
        '-', 76,
        '.', 76,
        ':', 76,
        0xb7, 76,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(75);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(72);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(73);
      if (lookahead != 0) ADVANCE(65);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '"', 64,
        '#', 28,
        '%', 63,
        '\'', 78,
        '(', 46,
        ')', 49,
        '*', 50,
        '+', 52,
        ',', 53,
        '/', 7,
        '1', 6,
        '>', 45,
        '?', 51,
        '[', 134,
        ']', 36,
        '|', 48,
        '\t', 81,
        '\n', 81,
        '\r', 81,
        ' ', 81,
      );
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(113);
      END_STATE();
    case 2:
      if (lookahead == '"') ADVANCE(64);
      if (lookahead == '%') ADVANCE(63);
      if (lookahead == '&') ADVANCE(118);
      if (lookahead == '<') ADVANCE(139);
      if (lookahead != 0) ADVANCE(65);
      END_STATE();
    case 3:
      if (lookahead == '"') ADVANCE(64);
      if (lookahead == '&') ADVANCE(118);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(123);
      END_STATE();
    case 4:
      if (lookahead == '%') ADVANCE(63);
      if (lookahead == '&') ADVANCE(118);
      if (lookahead == '\'') ADVANCE(78);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(79);
      END_STATE();
    case 5:
      if (lookahead == '&') ADVANCE(118);
      if (lookahead == '\'') ADVANCE(78);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(124);
      END_STATE();
    case 6:
      if (lookahead == '.') ADVANCE(38);
      END_STATE();
    case 7:
      if (lookahead == '>') ADVANCE(140);
      END_STATE();
    case 8:
      if (lookahead == '>') ADVANCE(142);
      END_STATE();
    case 9:
      if (lookahead == '>') ADVANCE(130);
      END_STATE();
    case 10:
      if (lookahead == '?') ADVANCE(9);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(81);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(113);
      END_STATE();
    case 11:
      if (lookahead == 'A') ADVANCE(32);
      END_STATE();
    case 12:
      if (lookahead == 'A') ADVANCE(47);
      END_STATE();
    case 13:
      if (lookahead == 'C') ADVANCE(14);
      END_STATE();
    case 14:
      if (lookahead == 'D') ADVANCE(11);
      END_STATE();
    case 15:
      if (lookahead == 'D') ADVANCE(62);
      END_STATE();
    case 16:
      if (lookahead == 'D') ADVANCE(61);
      END_STATE();
    case 17:
      if (lookahead == 'D') ADVANCE(60);
      END_STATE();
    case 18:
      if (lookahead == 'E') ADVANCE(30);
      END_STATE();
    case 19:
      if (lookahead == 'E') ADVANCE(15);
      END_STATE();
    case 20:
      if (lookahead == 'E') ADVANCE(16);
      END_STATE();
    case 21:
      if (lookahead == 'E') ADVANCE(17);
      END_STATE();
    case 22:
      if (lookahead == 'F') ADVANCE(23);
      if (lookahead == 'I') ADVANCE(27);
      if (lookahead == 'R') ADVANCE(18);
      END_STATE();
    case 23:
      if (lookahead == 'I') ADVANCE(34);
      END_STATE();
    case 24:
      if (lookahead == 'I') ADVANCE(31);
      END_STATE();
    case 25:
      if (lookahead == 'I') ADVANCE(20);
      END_STATE();
    case 26:
      if (lookahead == 'L') ADVANCE(25);
      END_STATE();
    case 27:
      if (lookahead == 'M') ADVANCE(29);
      END_STATE();
    case 28:
      if (lookahead == 'P') ADVANCE(13);
      END_STATE();
    case 29:
      if (lookahead == 'P') ADVANCE(26);
      END_STATE();
    case 30:
      if (lookahead == 'Q') ADVANCE(33);
      END_STATE();
    case 31:
      if (lookahead == 'R') ADVANCE(21);
      END_STATE();
    case 32:
      if (lookahead == 'T') ADVANCE(12);
      END_STATE();
    case 33:
      if (lookahead == 'U') ADVANCE(24);
      END_STATE();
    case 34:
      if (lookahead == 'X') ADVANCE(19);
      END_STATE();
    case 35:
      if (lookahead == '[') ADVANCE(143);
      END_STATE();
    case 36:
      if (lookahead == ']') ADVANCE(8);
      END_STATE();
    case 37:
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(81);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(117);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(131);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(122);
      END_STATE();
    case 40:
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(132);
      END_STATE();
    case 41:
      if (eof) ADVANCE(42);
      ADVANCE_MAP(
        '"', 64,
        '#', 22,
        '%', 63,
        '\'', 78,
        '(', 46,
        ')', 49,
        '*', 50,
        '+', 52,
        ',', 53,
        '/', 7,
        ';', 80,
        '<', 138,
        '=', 133,
        '>', 45,
        '?', 51,
        'E', 99,
        'I', 82,
        'N', 97,
        '[', 134,
        ']', 135,
        '|', 48,
        '\t', 81,
        '\n', 81,
        '\r', 81,
        ' ', 81,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(120);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(113);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_LT_BANG);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_LT_BANG);
      if (lookahead == '[') ADVANCE(143);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_POUNDPCDATA);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(sym_TokenizedType);
      if (lookahead == 'R') ADVANCE(83);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(113);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(sym_TokenizedType);
      if (lookahead == 'R') ADVANCE(86);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(113);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(sym_TokenizedType);
      if (lookahead == 'S') ADVANCE(58);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(113);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(sym_TokenizedType);
      if (lookahead == 'S') ADVANCE(59);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(113);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(sym_TokenizedType);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(113);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(sym_TokenizedType);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(113);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_POUNDREQUIRED);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_POUNDIMPLIED);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_POUNDFIXED);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(aux_sym_EntityValue_token1);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(aux_sym_EntityValue_token1);
      if (lookahead == '.') ADVANCE(114);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(116);
      if (lookahead == '-' ||
          lookahead == ':' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(117);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(aux_sym_EntityValue_token1);
      if (lookahead == '>') ADVANCE(140);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(aux_sym_EntityValue_token1);
      if (lookahead == 'D') ADVANCE(54);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(113);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(aux_sym_EntityValue_token1);
      if (lookahead == 'F') ADVANCE(23);
      if (lookahead == 'I') ADVANCE(27);
      if (lookahead == 'P') ADVANCE(13);
      if (lookahead == 'R') ADVANCE(18);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(aux_sym_EntityValue_token1);
      if (lookahead == 'M') ADVANCE(106);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(113);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(aux_sym_EntityValue_token1);
      if (lookahead == 'N') ADVANCE(105);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(111);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(aux_sym_EntityValue_token1);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(111);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(aux_sym_EntityValue_token1);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(113);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(aux_sym_EntityValue_token1);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(81);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(aux_sym_EntityValue_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(116);
      if (lookahead == '-' ||
          lookahead == '.' ||
          lookahead == ':' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(117);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(aux_sym_EntityValue_token1);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(117);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(aux_sym_EntityValue_token1);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(113);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(aux_sym_EntityValue_token2);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym__S);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(81);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'D') ADVANCE(55);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(113);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'E') ADVANCE(89);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(113);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'E') ADVANCE(98);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(113);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'E') ADVANCE(103);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(113);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'E') ADVANCE(90);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(113);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'E') ADVANCE(104);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(113);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'E') ADVANCE(100);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(113);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'F') ADVANCE(56);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(113);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'F') ADVANCE(57);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(113);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'I') ADVANCE(107);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(113);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'I') ADVANCE(85);
      if (lookahead == 'Y') ADVANCE(58);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(113);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'I') ADVANCE(110);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(113);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'I') ADVANCE(87);
      if (lookahead == 'Y') ADVANCE(59);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(113);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'K') ADVANCE(84);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(113);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'K') ADVANCE(88);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(113);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'M') ADVANCE(109);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(113);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'N') ADVANCE(56);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(113);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'N') ADVANCE(108);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(113);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'N') ADVANCE(57);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(113);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'O') ADVANCE(95);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(113);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'O') ADVANCE(96);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(113);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'S') ADVANCE(58);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(113);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'S') ADVANCE(59);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(113);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'T') ADVANCE(91);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(113);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'T') ADVANCE(101);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(113);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'T') ADVANCE(92);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(113);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'T') ADVANCE(93);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(113);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'T') ADVANCE(102);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(113);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == 'T') ADVANCE(94);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(113);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(111);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == ':' ||
          lookahead == 0xb7) ADVANCE(113);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_Name);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(113);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_Nmtoken);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(114);
      if (lookahead == '-' ||
          lookahead == '.' ||
          lookahead == ':' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(117);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_Nmtoken);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(116);
      if (lookahead == '-' ||
          lookahead == '.' ||
          lookahead == ':' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(117);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_Nmtoken);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(116);
      if (lookahead == '-' ||
          lookahead == '.' ||
          lookahead == ':' ||
          ('G' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('g' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(117);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_Nmtoken);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == 0xb7) ADVANCE(117);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '#') ADVANCE(119);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_AMP_POUND);
      if (lookahead == 'x') ADVANCE(121);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(aux_sym_CharRef_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(120);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_AMP_POUNDx);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(aux_sym_CharRef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(122);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_AttValue_token1);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym_AttValue_token2);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(aux_sym_SystemLiteral_token1);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(125);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(aux_sym_SystemLiteral_token2);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(126);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(aux_sym_PubidLiteral_token1);
      if (set_contains(aux_sym_PubidLiteral_token1_character_set_1, 9, lookahead)) ADVANCE(127);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(aux_sym_PubidLiteral_token2);
      if (set_contains(aux_sym_PubidLiteral_token2_character_set_1, 9, lookahead)) ADVANCE(128);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_LT_QMARK);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_VersionNum);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(131);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_EncName);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(132);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      if (lookahead == ']') ADVANCE(8);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(44);
      if (lookahead == '/') ADVANCE(141);
      if (lookahead == '?') ADVANCE(129);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(43);
      if (lookahead == '?') ADVANCE(129);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(35);
      if (lookahead == '/') ADVANCE(141);
      if (lookahead == '?') ADVANCE(129);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_SLASH_GT);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_LT_SLASH);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK_GT);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_LT_BANG_LBRACK);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'A', 1,
        'C', 2,
        'D', 3,
        'E', 4,
        'N', 5,
        'P', 6,
        'S', 7,
        'e', 8,
        'n', 9,
        's', 10,
        'v', 11,
        'x', 12,
        'y', 13,
      );
      END_STATE();
    case 1:
      if (lookahead == 'N') ADVANCE(14);
      if (lookahead == 'T') ADVANCE(15);
      END_STATE();
    case 2:
      if (lookahead == 'D') ADVANCE(16);
      END_STATE();
    case 3:
      if (lookahead == 'O') ADVANCE(17);
      END_STATE();
    case 4:
      if (lookahead == 'L') ADVANCE(18);
      if (lookahead == 'M') ADVANCE(19);
      if (lookahead == 'N') ADVANCE(20);
      END_STATE();
    case 5:
      if (lookahead == 'D') ADVANCE(21);
      if (lookahead == 'O') ADVANCE(22);
      END_STATE();
    case 6:
      if (lookahead == 'U') ADVANCE(23);
      END_STATE();
    case 7:
      if (lookahead == 'Y') ADVANCE(24);
      END_STATE();
    case 8:
      if (lookahead == 'n') ADVANCE(25);
      END_STATE();
    case 9:
      if (lookahead == 'o') ADVANCE(26);
      END_STATE();
    case 10:
      if (lookahead == 't') ADVANCE(27);
      END_STATE();
    case 11:
      if (lookahead == 'e') ADVANCE(28);
      END_STATE();
    case 12:
      if (lookahead == 'm') ADVANCE(29);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(30);
      END_STATE();
    case 14:
      if (lookahead == 'Y') ADVANCE(31);
      END_STATE();
    case 15:
      if (lookahead == 'T') ADVANCE(32);
      END_STATE();
    case 16:
      if (lookahead == 'A') ADVANCE(33);
      END_STATE();
    case 17:
      if (lookahead == 'C') ADVANCE(34);
      END_STATE();
    case 18:
      if (lookahead == 'E') ADVANCE(35);
      END_STATE();
    case 19:
      if (lookahead == 'P') ADVANCE(36);
      END_STATE();
    case 20:
      if (lookahead == 'T') ADVANCE(37);
      END_STATE();
    case 21:
      if (lookahead == 'A') ADVANCE(38);
      END_STATE();
    case 22:
      if (lookahead == 'T') ADVANCE(39);
      END_STATE();
    case 23:
      if (lookahead == 'B') ADVANCE(40);
      END_STATE();
    case 24:
      if (lookahead == 'S') ADVANCE(41);
      END_STATE();
    case 25:
      if (lookahead == 'c') ADVANCE(42);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_no);
      END_STATE();
    case 27:
      if (lookahead == 'a') ADVANCE(43);
      END_STATE();
    case 28:
      if (lookahead == 'r') ADVANCE(44);
      END_STATE();
    case 29:
      if (lookahead == 'l') ADVANCE(45);
      END_STATE();
    case 30:
      if (lookahead == 's') ADVANCE(46);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_ANY);
      END_STATE();
    case 32:
      if (lookahead == 'L') ADVANCE(47);
      END_STATE();
    case 33:
      if (lookahead == 'T') ADVANCE(48);
      END_STATE();
    case 34:
      if (lookahead == 'T') ADVANCE(49);
      END_STATE();
    case 35:
      if (lookahead == 'M') ADVANCE(50);
      END_STATE();
    case 36:
      if (lookahead == 'T') ADVANCE(51);
      END_STATE();
    case 37:
      if (lookahead == 'I') ADVANCE(52);
      END_STATE();
    case 38:
      if (lookahead == 'T') ADVANCE(53);
      END_STATE();
    case 39:
      if (lookahead == 'A') ADVANCE(54);
      END_STATE();
    case 40:
      if (lookahead == 'L') ADVANCE(55);
      END_STATE();
    case 41:
      if (lookahead == 'T') ADVANCE(56);
      END_STATE();
    case 42:
      if (lookahead == 'o') ADVANCE(57);
      END_STATE();
    case 43:
      if (lookahead == 'n') ADVANCE(58);
      END_STATE();
    case 44:
      if (lookahead == 's') ADVANCE(59);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_xml);
      if (lookahead == '-') ADVANCE(60);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_yes);
      END_STATE();
    case 47:
      if (lookahead == 'I') ADVANCE(61);
      END_STATE();
    case 48:
      if (lookahead == 'A') ADVANCE(62);
      END_STATE();
    case 49:
      if (lookahead == 'Y') ADVANCE(63);
      END_STATE();
    case 50:
      if (lookahead == 'E') ADVANCE(64);
      END_STATE();
    case 51:
      if (lookahead == 'Y') ADVANCE(65);
      END_STATE();
    case 52:
      if (lookahead == 'T') ADVANCE(66);
      END_STATE();
    case 53:
      if (lookahead == 'A') ADVANCE(67);
      END_STATE();
    case 54:
      if (lookahead == 'T') ADVANCE(68);
      END_STATE();
    case 55:
      if (lookahead == 'I') ADVANCE(69);
      END_STATE();
    case 56:
      if (lookahead == 'E') ADVANCE(70);
      END_STATE();
    case 57:
      if (lookahead == 'd') ADVANCE(71);
      END_STATE();
    case 58:
      if (lookahead == 'd') ADVANCE(72);
      END_STATE();
    case 59:
      if (lookahead == 'i') ADVANCE(73);
      END_STATE();
    case 60:
      if (lookahead == 'm') ADVANCE(74);
      if (lookahead == 's') ADVANCE(75);
      END_STATE();
    case 61:
      if (lookahead == 'S') ADVANCE(76);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_CDATA);
      END_STATE();
    case 63:
      if (lookahead == 'P') ADVANCE(77);
      END_STATE();
    case 64:
      if (lookahead == 'N') ADVANCE(78);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_EMPTY);
      END_STATE();
    case 66:
      if (lookahead == 'Y') ADVANCE(79);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_NDATA);
      END_STATE();
    case 68:
      if (lookahead == 'I') ADVANCE(80);
      END_STATE();
    case 69:
      if (lookahead == 'C') ADVANCE(81);
      END_STATE();
    case 70:
      if (lookahead == 'M') ADVANCE(82);
      END_STATE();
    case 71:
      if (lookahead == 'i') ADVANCE(83);
      END_STATE();
    case 72:
      if (lookahead == 'a') ADVANCE(84);
      END_STATE();
    case 73:
      if (lookahead == 'o') ADVANCE(85);
      END_STATE();
    case 74:
      if (lookahead == 'o') ADVANCE(86);
      END_STATE();
    case 75:
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 76:
      if (lookahead == 'T') ADVANCE(88);
      END_STATE();
    case 77:
      if (lookahead == 'E') ADVANCE(89);
      END_STATE();
    case 78:
      if (lookahead == 'T') ADVANCE(90);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_ENTITY);
      END_STATE();
    case 80:
      if (lookahead == 'O') ADVANCE(91);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_PUBLIC);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_SYSTEM);
      END_STATE();
    case 83:
      if (lookahead == 'n') ADVANCE(92);
      END_STATE();
    case 84:
      if (lookahead == 'l') ADVANCE(93);
      END_STATE();
    case 85:
      if (lookahead == 'n') ADVANCE(94);
      END_STATE();
    case 86:
      if (lookahead == 'd') ADVANCE(95);
      END_STATE();
    case 87:
      if (lookahead == 'y') ADVANCE(96);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_ATTLIST);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_DOCTYPE);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_ELEMENT);
      END_STATE();
    case 91:
      if (lookahead == 'N') ADVANCE(97);
      END_STATE();
    case 92:
      if (lookahead == 'g') ADVANCE(98);
      END_STATE();
    case 93:
      if (lookahead == 'o') ADVANCE(99);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_version);
      END_STATE();
    case 95:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 96:
      if (lookahead == 'l') ADVANCE(101);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_NOTATION);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_encoding);
      END_STATE();
    case 99:
      if (lookahead == 'n') ADVANCE(102);
      END_STATE();
    case 100:
      if (lookahead == 'l') ADVANCE(103);
      END_STATE();
    case 101:
      if (lookahead == 'e') ADVANCE(104);
      END_STATE();
    case 102:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_xml_DASHmodel);
      END_STATE();
    case 104:
      if (lookahead == 's') ADVANCE(106);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_standalone);
      END_STATE();
    case 106:
      if (lookahead == 'h') ADVANCE(107);
      END_STATE();
    case 107:
      if (lookahead == 'e') ADVANCE(108);
      END_STATE();
    case 108:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 109:
      if (lookahead == 't') ADVANCE(110);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_xml_DASHstylesheet);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 41, .external_lex_state = 2},
  [2] = {.lex_state = 2, .external_lex_state = 3},
  [3] = {.lex_state = 2, .external_lex_state = 3},
  [4] = {.lex_state = 2, .external_lex_state = 3},
  [5] = {.lex_state = 2, .external_lex_state = 3},
  [6] = {.lex_state = 41, .external_lex_state = 2},
  [7] = {.lex_state = 41, .external_lex_state = 2},
  [8] = {.lex_state = 41, .external_lex_state = 2},
  [9] = {.lex_state = 41, .external_lex_state = 2},
  [10] = {.lex_state = 41, .external_lex_state = 2},
  [11] = {.lex_state = 41, .external_lex_state = 2},
  [12] = {.lex_state = 41, .external_lex_state = 2},
  [13] = {.lex_state = 41, .external_lex_state = 2},
  [14] = {.lex_state = 41, .external_lex_state = 2},
  [15] = {.lex_state = 41, .external_lex_state = 2},
  [16] = {.lex_state = 41, .external_lex_state = 2},
  [17] = {.lex_state = 41, .external_lex_state = 2},
  [18] = {.lex_state = 41, .external_lex_state = 2},
  [19] = {.lex_state = 41, .external_lex_state = 2},
  [20] = {.lex_state = 41},
  [21] = {.lex_state = 2},
  [22] = {.lex_state = 4},
  [23] = {.lex_state = 41},
  [24] = {.lex_state = 41},
  [25] = {.lex_state = 2},
  [26] = {.lex_state = 4},
  [27] = {.lex_state = 41, .external_lex_state = 2},
  [28] = {.lex_state = 41, .external_lex_state = 2},
  [29] = {.lex_state = 2},
  [30] = {.lex_state = 4},
  [31] = {.lex_state = 41, .external_lex_state = 2},
  [32] = {.lex_state = 41, .external_lex_state = 2},
  [33] = {.lex_state = 41, .external_lex_state = 2},
  [34] = {.lex_state = 1},
  [35] = {.lex_state = 2, .external_lex_state = 3},
  [36] = {.lex_state = 41, .external_lex_state = 2},
  [37] = {.lex_state = 41, .external_lex_state = 2},
  [38] = {.lex_state = 41, .external_lex_state = 2},
  [39] = {.lex_state = 41, .external_lex_state = 2},
  [40] = {.lex_state = 3},
  [41] = {.lex_state = 5},
  [42] = {.lex_state = 3},
  [43] = {.lex_state = 5},
  [44] = {.lex_state = 41, .external_lex_state = 2},
  [45] = {.lex_state = 41, .external_lex_state = 2},
  [46] = {.lex_state = 2, .external_lex_state = 3},
  [47] = {.lex_state = 3},
  [48] = {.lex_state = 5},
  [49] = {.lex_state = 41, .external_lex_state = 2},
  [50] = {.lex_state = 41, .external_lex_state = 2},
  [51] = {.lex_state = 1},
  [52] = {.lex_state = 2, .external_lex_state = 3},
  [53] = {.lex_state = 41, .external_lex_state = 2},
  [54] = {.lex_state = 2, .external_lex_state = 3},
  [55] = {.lex_state = 2, .external_lex_state = 3},
  [56] = {.lex_state = 2, .external_lex_state = 3},
  [57] = {.lex_state = 41, .external_lex_state = 2},
  [58] = {.lex_state = 2, .external_lex_state = 3},
  [59] = {.lex_state = 41, .external_lex_state = 2},
  [60] = {.lex_state = 41},
  [61] = {.lex_state = 41, .external_lex_state = 2},
  [62] = {.lex_state = 2, .external_lex_state = 3},
  [63] = {.lex_state = 41},
  [64] = {.lex_state = 41},
  [65] = {.lex_state = 41},
  [66] = {.lex_state = 41},
  [67] = {.lex_state = 41},
  [68] = {.lex_state = 2, .external_lex_state = 3},
  [69] = {.lex_state = 2, .external_lex_state = 3},
  [70] = {.lex_state = 2, .external_lex_state = 3},
  [71] = {.lex_state = 2, .external_lex_state = 3},
  [72] = {.lex_state = 2, .external_lex_state = 3},
  [73] = {.lex_state = 3},
  [74] = {.lex_state = 2, .external_lex_state = 3},
  [75] = {.lex_state = 2, .external_lex_state = 3},
  [76] = {.lex_state = 2, .external_lex_state = 3},
  [77] = {.lex_state = 2, .external_lex_state = 3},
  [78] = {.lex_state = 5},
  [79] = {.lex_state = 3},
  [80] = {.lex_state = 5},
  [81] = {.lex_state = 3},
  [82] = {.lex_state = 5},
  [83] = {.lex_state = 3},
  [84] = {.lex_state = 5},
  [85] = {.lex_state = 2, .external_lex_state = 3},
  [86] = {.lex_state = 41},
  [87] = {.lex_state = 41},
  [88] = {.lex_state = 41},
  [89] = {.lex_state = 41},
  [90] = {.lex_state = 41},
  [91] = {.lex_state = 1},
  [92] = {.lex_state = 41},
  [93] = {.lex_state = 1},
  [94] = {.lex_state = 41},
  [95] = {.lex_state = 41},
  [96] = {.lex_state = 41},
  [97] = {.lex_state = 1},
  [98] = {.lex_state = 1},
  [99] = {.lex_state = 1},
  [100] = {.lex_state = 4},
  [101] = {.lex_state = 4},
  [102] = {.lex_state = 41, .external_lex_state = 2},
  [103] = {.lex_state = 41, .external_lex_state = 2},
  [104] = {.lex_state = 1},
  [105] = {.lex_state = 1},
  [106] = {.lex_state = 41, .external_lex_state = 2},
  [107] = {.lex_state = 1},
  [108] = {.lex_state = 1},
  [109] = {.lex_state = 41, .external_lex_state = 2},
  [110] = {.lex_state = 41, .external_lex_state = 2},
  [111] = {.lex_state = 41, .external_lex_state = 2},
  [112] = {.lex_state = 41, .external_lex_state = 2},
  [113] = {.lex_state = 1},
  [114] = {.lex_state = 41},
  [115] = {.lex_state = 1},
  [116] = {.lex_state = 1},
  [117] = {.lex_state = 1},
  [118] = {.lex_state = 1},
  [119] = {.lex_state = 1},
  [120] = {.lex_state = 41, .external_lex_state = 2},
  [121] = {.lex_state = 2},
  [122] = {.lex_state = 2},
  [123] = {.lex_state = 2},
  [124] = {.lex_state = 2},
  [125] = {.lex_state = 4},
  [126] = {.lex_state = 4},
  [127] = {.lex_state = 41},
  [128] = {.lex_state = 41, .external_lex_state = 2},
  [129] = {.lex_state = 41, .external_lex_state = 2},
  [130] = {.lex_state = 41},
  [131] = {.lex_state = 41},
  [132] = {.lex_state = 1},
  [133] = {.lex_state = 41},
  [134] = {.lex_state = 41, .external_lex_state = 2},
  [135] = {.lex_state = 41},
  [136] = {.lex_state = 41},
  [137] = {.lex_state = 41},
  [138] = {.lex_state = 41},
  [139] = {.lex_state = 41},
  [140] = {.lex_state = 41},
  [141] = {.lex_state = 41, .external_lex_state = 2},
  [142] = {.lex_state = 41},
  [143] = {.lex_state = 41},
  [144] = {.lex_state = 41},
  [145] = {.lex_state = 41},
  [146] = {.lex_state = 41},
  [147] = {.lex_state = 41},
  [148] = {.lex_state = 41},
  [149] = {.lex_state = 41, .external_lex_state = 2},
  [150] = {.lex_state = 1},
  [151] = {.lex_state = 3},
  [152] = {.lex_state = 41, .external_lex_state = 2},
  [153] = {.lex_state = 3},
  [154] = {.lex_state = 3},
  [155] = {.lex_state = 5},
  [156] = {.lex_state = 5},
  [157] = {.lex_state = 5},
  [158] = {.lex_state = 41, .external_lex_state = 2},
  [159] = {.lex_state = 41},
  [160] = {.lex_state = 41, .external_lex_state = 2},
  [161] = {.lex_state = 41},
  [162] = {.lex_state = 1},
  [163] = {.lex_state = 41},
  [164] = {.lex_state = 41, .external_lex_state = 2},
  [165] = {.lex_state = 41},
  [166] = {.lex_state = 1},
  [167] = {.lex_state = 41},
  [168] = {.lex_state = 41, .external_lex_state = 2},
  [169] = {.lex_state = 41},
  [170] = {.lex_state = 41},
  [171] = {.lex_state = 41},
  [172] = {.lex_state = 41, .external_lex_state = 2},
  [173] = {.lex_state = 1},
  [174] = {.lex_state = 41},
  [175] = {.lex_state = 41, .external_lex_state = 4},
  [176] = {.lex_state = 41, .external_lex_state = 2},
  [177] = {.lex_state = 41},
  [178] = {.lex_state = 41, .external_lex_state = 2},
  [179] = {.lex_state = 41},
  [180] = {.lex_state = 41},
  [181] = {.lex_state = 41},
  [182] = {.lex_state = 41, .external_lex_state = 2},
  [183] = {.lex_state = 41, .external_lex_state = 2},
  [184] = {.lex_state = 41, .external_lex_state = 2},
  [185] = {.lex_state = 41},
  [186] = {.lex_state = 41, .external_lex_state = 2},
  [187] = {.lex_state = 1},
  [188] = {.lex_state = 41},
  [189] = {.lex_state = 41},
  [190] = {.lex_state = 10},
  [191] = {.lex_state = 1, .external_lex_state = 4},
  [192] = {.lex_state = 41},
  [193] = {.lex_state = 41},
  [194] = {.lex_state = 1},
  [195] = {.lex_state = 41, .external_lex_state = 4},
  [196] = {.lex_state = 1},
  [197] = {.lex_state = 1},
  [198] = {.lex_state = 1},
  [199] = {.lex_state = 1},
  [200] = {.lex_state = 1, .external_lex_state = 5},
  [201] = {.lex_state = 41},
  [202] = {.lex_state = 0},
  [203] = {.lex_state = 1, .external_lex_state = 4},
  [204] = {.lex_state = 41, .external_lex_state = 2},
  [205] = {.lex_state = 41, .external_lex_state = 2},
  [206] = {.lex_state = 41, .external_lex_state = 2},
  [207] = {.lex_state = 41, .external_lex_state = 2},
  [208] = {.lex_state = 41},
  [209] = {.lex_state = 41, .external_lex_state = 4},
  [210] = {.lex_state = 1, .external_lex_state = 4},
  [211] = {.lex_state = 41, .external_lex_state = 4},
  [212] = {.lex_state = 1, .external_lex_state = 4},
  [213] = {.lex_state = 41, .external_lex_state = 4},
  [214] = {.lex_state = 0},
  [215] = {.lex_state = 41, .external_lex_state = 2},
  [216] = {.lex_state = 41, .external_lex_state = 2},
  [217] = {.lex_state = 1},
  [218] = {.lex_state = 10},
  [219] = {.lex_state = 41},
  [220] = {.lex_state = 41},
  [221] = {.lex_state = 10},
  [222] = {.lex_state = 41},
  [223] = {.lex_state = 41},
  [224] = {.lex_state = 10},
  [225] = {.lex_state = 41},
  [226] = {.lex_state = 41},
  [227] = {.lex_state = 1},
  [228] = {.lex_state = 1},
  [229] = {.lex_state = 41},
  [230] = {.lex_state = 41},
  [231] = {.lex_state = 41},
  [232] = {.lex_state = 1},
  [233] = {.lex_state = 41},
  [234] = {.lex_state = 1},
  [235] = {.lex_state = 41},
  [236] = {.lex_state = 41},
  [237] = {.lex_state = 10},
  [238] = {.lex_state = 41},
  [239] = {.lex_state = 1, .external_lex_state = 5},
  [240] = {.lex_state = 41},
  [241] = {.lex_state = 1},
  [242] = {.lex_state = 41},
  [243] = {.lex_state = 10},
  [244] = {.lex_state = 1},
  [245] = {.lex_state = 41},
  [246] = {.lex_state = 41},
  [247] = {.lex_state = 41},
  [248] = {.lex_state = 1},
  [249] = {.lex_state = 41},
  [250] = {.lex_state = 10},
  [251] = {.lex_state = 10},
  [252] = {.lex_state = 1},
  [253] = {.lex_state = 41},
  [254] = {.lex_state = 41, .external_lex_state = 4},
  [255] = {.lex_state = 41},
  [256] = {.lex_state = 41, .external_lex_state = 4},
  [257] = {.lex_state = 41},
  [258] = {.lex_state = 41},
  [259] = {.lex_state = 41, .external_lex_state = 4},
  [260] = {.lex_state = 41},
  [261] = {.lex_state = 41},
  [262] = {.lex_state = 10},
  [263] = {.lex_state = 10},
  [264] = {.lex_state = 41},
  [265] = {.lex_state = 41},
  [266] = {.lex_state = 41},
  [267] = {.lex_state = 10},
  [268] = {.lex_state = 41},
  [269] = {.lex_state = 41},
  [270] = {.lex_state = 41, .external_lex_state = 4},
  [271] = {.lex_state = 1},
  [272] = {.lex_state = 41},
  [273] = {.lex_state = 10},
  [274] = {.lex_state = 41},
  [275] = {.lex_state = 41},
  [276] = {.lex_state = 41},
  [277] = {.lex_state = 1},
  [278] = {.lex_state = 1},
  [279] = {.lex_state = 10},
  [280] = {.lex_state = 10},
  [281] = {.lex_state = 1},
  [282] = {.lex_state = 0},
  [283] = {.lex_state = 1, .external_lex_state = 6},
  [284] = {.lex_state = 10},
  [285] = {.lex_state = 41},
  [286] = {.lex_state = 37},
  [287] = {.lex_state = 41},
  [288] = {.lex_state = 41},
  [289] = {.lex_state = 41},
  [290] = {.lex_state = 41},
  [291] = {.lex_state = 41},
  [292] = {.lex_state = 41},
  [293] = {.lex_state = 41},
  [294] = {.lex_state = 41},
  [295] = {.lex_state = 41},
  [296] = {.lex_state = 41},
  [297] = {.lex_state = 41},
  [298] = {.lex_state = 41},
  [299] = {.lex_state = 41},
  [300] = {.lex_state = 1},
  [301] = {.lex_state = 41},
  [302] = {.lex_state = 41},
  [303] = {.lex_state = 10},
  [304] = {.lex_state = 10},
  [305] = {.lex_state = 41},
  [306] = {.lex_state = 41},
  [307] = {.lex_state = 41},
  [308] = {.lex_state = 41},
  [309] = {.lex_state = 41},
  [310] = {.lex_state = 41},
  [311] = {.lex_state = 41},
  [312] = {.lex_state = 41},
  [313] = {.lex_state = 1},
  [314] = {.lex_state = 41},
  [315] = {.lex_state = 41},
  [316] = {.lex_state = 10},
  [317] = {.lex_state = 37},
  [318] = {.lex_state = 41},
  [319] = {.lex_state = 41},
  [320] = {.lex_state = 10},
  [321] = {.lex_state = 41},
  [322] = {.lex_state = 41},
  [323] = {.lex_state = 41},
  [324] = {.lex_state = 41},
  [325] = {.lex_state = 41},
  [326] = {.lex_state = 41},
  [327] = {.lex_state = 41},
  [328] = {.lex_state = 10},
  [329] = {.lex_state = 41},
  [330] = {.lex_state = 41},
  [331] = {.lex_state = 41},
  [332] = {.lex_state = 41},
  [333] = {.lex_state = 37},
  [334] = {.lex_state = 1, .external_lex_state = 6},
  [335] = {.lex_state = 10},
  [336] = {.lex_state = 41},
  [337] = {.lex_state = 41},
  [338] = {.lex_state = 41},
  [339] = {.lex_state = 41},
  [340] = {.lex_state = 41},
  [341] = {.lex_state = 41},
  [342] = {.lex_state = 41},
  [343] = {.lex_state = 41},
  [344] = {.lex_state = 41},
  [345] = {.lex_state = 41},
  [346] = {.lex_state = 41},
  [347] = {.lex_state = 41},
  [348] = {.lex_state = 41},
  [349] = {.lex_state = 41},
  [350] = {.lex_state = 41},
  [351] = {.lex_state = 41},
  [352] = {.lex_state = 41},
  [353] = {.lex_state = 41},
  [354] = {.lex_state = 41},
  [355] = {.lex_state = 41},
  [356] = {.lex_state = 41},
  [357] = {.lex_state = 41},
  [358] = {.lex_state = 41},
  [359] = {.lex_state = 41},
  [360] = {.lex_state = 41},
  [361] = {.lex_state = 41},
  [362] = {.lex_state = 41},
  [363] = {.lex_state = 41},
  [364] = {.lex_state = 10},
  [365] = {.lex_state = 41},
  [366] = {.lex_state = 41},
  [367] = {.lex_state = 10},
  [368] = {.lex_state = 10},
  [369] = {.lex_state = 41},
  [370] = {.lex_state = 0},
  [371] = {.lex_state = 10},
  [372] = {.lex_state = 41},
  [373] = {.lex_state = 41},
  [374] = {.lex_state = 1},
  [375] = {.lex_state = 41},
  [376] = {.lex_state = 41},
  [377] = {.lex_state = 39},
  [378] = {.lex_state = 41},
  [379] = {.lex_state = 37},
  [380] = {.lex_state = 37},
  [381] = {.lex_state = 10},
  [382] = {.lex_state = 41},
  [383] = {.lex_state = 41},
  [384] = {.lex_state = 41},
  [385] = {.lex_state = 1},
  [386] = {.lex_state = 41},
  [387] = {.lex_state = 125},
  [388] = {.lex_state = 41},
  [389] = {.lex_state = 1},
  [390] = {.lex_state = 41},
  [391] = {.lex_state = 41},
  [392] = {.lex_state = 41},
  [393] = {.lex_state = 37},
  [394] = {.lex_state = 41},
  [395] = {.lex_state = 126},
  [396] = {.lex_state = 41},
  [397] = {.lex_state = 41},
  [398] = {.lex_state = 41},
  [399] = {.lex_state = 10},
  [400] = {.lex_state = 41},
  [401] = {.lex_state = 41},
  [402] = {.lex_state = 41},
  [403] = {.lex_state = 10},
  [404] = {.lex_state = 1},
  [405] = {.lex_state = 41},
  [406] = {.lex_state = 41},
  [407] = {.lex_state = 41},
  [408] = {.lex_state = 0, .external_lex_state = 7},
  [409] = {.lex_state = 41},
  [410] = {.lex_state = 39},
  [411] = {.lex_state = 41},
  [412] = {.lex_state = 41},
  [413] = {.lex_state = 1},
  [414] = {.lex_state = 0, .external_lex_state = 8},
  [415] = {.lex_state = 41},
  [416] = {.lex_state = 41},
  [417] = {.lex_state = 127},
  [418] = {.lex_state = 41},
  [419] = {.lex_state = 41},
  [420] = {.lex_state = 41},
  [421] = {.lex_state = 41},
  [422] = {.lex_state = 41},
  [423] = {.lex_state = 1},
  [424] = {.lex_state = 41},
  [425] = {.lex_state = 0, .external_lex_state = 9},
  [426] = {.lex_state = 1},
  [427] = {.lex_state = 41},
  [428] = {.lex_state = 1},
  [429] = {.lex_state = 41},
  [430] = {.lex_state = 41},
  [431] = {.lex_state = 41},
  [432] = {.lex_state = 41},
  [433] = {.lex_state = 41},
  [434] = {.lex_state = 41},
  [435] = {.lex_state = 41},
  [436] = {.lex_state = 128},
  [437] = {.lex_state = 40},
  [438] = {.lex_state = 1},
  [439] = {.lex_state = 41},
  [440] = {.lex_state = 41},
  [441] = {.lex_state = 41},
  [442] = {.lex_state = 41},
  [443] = {.lex_state = 1},
  [444] = {.lex_state = 0, .external_lex_state = 10},
  [445] = {.lex_state = 41},
  [446] = {.lex_state = 41},
  [447] = {.lex_state = 41},
  [448] = {.lex_state = 41},
  [449] = {.lex_state = 41},
  [450] = {.lex_state = 41},
  [451] = {.lex_state = 0},
  [452] = {.lex_state = 41},
  [453] = {.lex_state = 41},
  [454] = {.lex_state = 41},
  [455] = {.lex_state = 41},
  [456] = {.lex_state = 10},
  [457] = {.lex_state = 41},
  [458] = {.lex_state = 41},
  [459] = {.lex_state = 41},
  [460] = {.lex_state = 41},
  [461] = {.lex_state = 1},
  [462] = {.lex_state = 41},
  [463] = {.lex_state = 41},
  [464] = {.lex_state = 41},
  [465] = {.lex_state = 41},
  [466] = {.lex_state = 41},
  [467] = {.lex_state = 10},
  [468] = {.lex_state = 41},
  [469] = {.lex_state = 41},
  [470] = {.lex_state = 41},
  [471] = {.lex_state = 41},
  [472] = {.lex_state = 41},
  [473] = {.lex_state = 41},
  [474] = {.lex_state = 0, .external_lex_state = 10},
  [475] = {.lex_state = 1},
  [476] = {.lex_state = 41},
  [477] = {.lex_state = 40},
  [478] = {.lex_state = 0, .external_lex_state = 8},
  [479] = {.lex_state = 0, .external_lex_state = 9},
  [480] = {.lex_state = 0, .external_lex_state = 7},
  [481] = {.lex_state = 1},
  [482] = {.lex_state = 1},
  [483] = {.lex_state = 41},
  [484] = {.lex_state = 39},
  [485] = {.lex_state = 0, .external_lex_state = 7},
  [486] = {.lex_state = 1},
  [487] = {.lex_state = 1},
  [488] = {.lex_state = 41},
  [489] = {.lex_state = 39},
  [490] = {.lex_state = 1},
  [491] = {.lex_state = 1},
  [492] = {.lex_state = 41},
  [493] = {.lex_state = 39},
  [494] = {.lex_state = 41},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_Name] = ACTIONS(1),
    [anon_sym_LT_BANG] = ACTIONS(1),
    [anon_sym_ELEMENT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_EMPTY] = ACTIONS(1),
    [anon_sym_ANY] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_POUNDPCDATA] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_ATTLIST] = ACTIONS(1),
    [anon_sym_CDATA] = ACTIONS(1),
    [sym_TokenizedType] = ACTIONS(1),
    [anon_sym_NOTATION] = ACTIONS(1),
    [anon_sym_POUNDREQUIRED] = ACTIONS(1),
    [anon_sym_POUNDIMPLIED] = ACTIONS(1),
    [anon_sym_POUNDFIXED] = ACTIONS(1),
    [anon_sym_ENTITY] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_EntityValue_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym_EntityValue_token2] = ACTIONS(1),
    [anon_sym_NDATA] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [sym__S] = ACTIONS(1),
    [sym_Nmtoken] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_AMP_POUND] = ACTIONS(1),
    [aux_sym_CharRef_token1] = ACTIONS(1),
    [anon_sym_AMP_POUNDx] = ACTIONS(1),
    [aux_sym_CharRef_token2] = ACTIONS(1),
    [aux_sym_AttValue_token1] = ACTIONS(1),
    [aux_sym_AttValue_token2] = ACTIONS(1),
    [anon_sym_SYSTEM] = ACTIONS(1),
    [anon_sym_PUBLIC] = ACTIONS(1),
    [anon_sym_LT_QMARK] = ACTIONS(1),
    [anon_sym_xml] = ACTIONS(1),
    [anon_sym_version] = ACTIONS(1),
    [sym_VersionNum] = ACTIONS(1),
    [anon_sym_encoding] = ACTIONS(1),
    [sym_EncName] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_standalone] = ACTIONS(1),
    [anon_sym_yes] = ACTIONS(1),
    [anon_sym_no] = ACTIONS(1),
    [anon_sym_DOCTYPE] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_SLASH_GT] = ACTIONS(1),
    [anon_sym_LT_SLASH] = ACTIONS(1),
    [anon_sym_RBRACK_RBRACK_GT] = ACTIONS(1),
    [anon_sym_LT_BANG_LBRACK] = ACTIONS(1),
    [anon_sym_xml_DASHstylesheet] = ACTIONS(1),
    [anon_sym_xml_DASHmodel] = ACTIONS(1),
    [sym_PITarget] = ACTIONS(1),
    [sym__pi_content] = ACTIONS(1),
    [sym_Comment] = ACTIONS(1),
    [sym_CharData] = ACTIONS(1),
    [sym_CData] = ACTIONS(1),
    [sym__start_tag_name] = ACTIONS(1),
    [sym__end_tag_name] = ACTIONS(1),
    [sym__erroneous_end_name] = ACTIONS(1),
  },
  [1] = {
    [sym_document] = STATE(451),
    [sym_XMLDecl] = STATE(28),
    [sym_PI] = STATE(27),
    [sym_prolog] = STATE(202),
    [sym__Misc] = STATE(27),
    [sym_doctypedecl] = STATE(57),
    [sym_element] = STATE(39),
    [sym_EmptyElemTag] = STATE(216),
    [sym_STag] = STATE(2),
    [sym_StyleSheetPI] = STATE(27),
    [sym_XmlModelPI] = STATE(27),
    [aux_sym_document_repeat1] = STATE(27),
    [anon_sym_LT_BANG] = ACTIONS(3),
    [sym__S] = ACTIONS(5),
    [anon_sym_LT_QMARK] = ACTIONS(7),
    [anon_sym_LT] = ACTIONS(9),
    [sym_Comment] = ACTIONS(11),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 15,
    ACTIONS(13), 1,
      anon_sym_AMP,
    ACTIONS(15), 1,
      anon_sym_AMP_POUND,
    ACTIONS(17), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(19), 1,
      anon_sym_LT_QMARK,
    ACTIONS(21), 1,
      anon_sym_LT,
    ACTIONS(23), 1,
      anon_sym_LT_SLASH,
    ACTIONS(25), 1,
      anon_sym_LT_BANG_LBRACK,
    STATE(3), 1,
      sym_STag,
    STATE(68), 1,
      sym_EmptyElemTag,
    STATE(164), 1,
      sym_ETag,
    STATE(282), 1,
      sym_content,
    STATE(283), 1,
      sym_CDStart,
    ACTIONS(27), 2,
      sym_Comment,
      sym_CharData,
    STATE(62), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(4), 5,
      sym__Reference,
      sym_PI,
      sym_element,
      sym_CDSect,
      aux_sym_content_repeat1,
  [52] = 15,
    ACTIONS(13), 1,
      anon_sym_AMP,
    ACTIONS(15), 1,
      anon_sym_AMP_POUND,
    ACTIONS(17), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(19), 1,
      anon_sym_LT_QMARK,
    ACTIONS(21), 1,
      anon_sym_LT,
    ACTIONS(25), 1,
      anon_sym_LT_BANG_LBRACK,
    ACTIONS(29), 1,
      anon_sym_LT_SLASH,
    STATE(3), 1,
      sym_STag,
    STATE(68), 1,
      sym_EmptyElemTag,
    STATE(69), 1,
      sym_ETag,
    STATE(283), 1,
      sym_CDStart,
    STATE(370), 1,
      sym_content,
    ACTIONS(27), 2,
      sym_Comment,
      sym_CharData,
    STATE(62), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(4), 5,
      sym__Reference,
      sym_PI,
      sym_element,
      sym_CDSect,
      aux_sym_content_repeat1,
  [104] = 13,
    ACTIONS(13), 1,
      anon_sym_AMP,
    ACTIONS(15), 1,
      anon_sym_AMP_POUND,
    ACTIONS(17), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(19), 1,
      anon_sym_LT_QMARK,
    ACTIONS(21), 1,
      anon_sym_LT,
    ACTIONS(25), 1,
      anon_sym_LT_BANG_LBRACK,
    ACTIONS(31), 1,
      anon_sym_LT_SLASH,
    STATE(3), 1,
      sym_STag,
    STATE(68), 1,
      sym_EmptyElemTag,
    STATE(283), 1,
      sym_CDStart,
    ACTIONS(33), 2,
      sym_Comment,
      sym_CharData,
    STATE(62), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(5), 5,
      sym__Reference,
      sym_PI,
      sym_element,
      sym_CDSect,
      aux_sym_content_repeat1,
  [150] = 13,
    ACTIONS(35), 1,
      anon_sym_AMP,
    ACTIONS(38), 1,
      anon_sym_AMP_POUND,
    ACTIONS(41), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(44), 1,
      anon_sym_LT_QMARK,
    ACTIONS(47), 1,
      anon_sym_LT,
    ACTIONS(50), 1,
      anon_sym_LT_SLASH,
    ACTIONS(52), 1,
      anon_sym_LT_BANG_LBRACK,
    STATE(3), 1,
      sym_STag,
    STATE(68), 1,
      sym_EmptyElemTag,
    STATE(283), 1,
      sym_CDStart,
    ACTIONS(55), 2,
      sym_Comment,
      sym_CharData,
    STATE(62), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(5), 5,
      sym__Reference,
      sym_PI,
      sym_element,
      sym_CDSect,
      aux_sym_content_repeat1,
  [196] = 11,
    ACTIONS(3), 1,
      anon_sym_LT_BANG,
    ACTIONS(7), 1,
      anon_sym_LT_QMARK,
    ACTIONS(9), 1,
      anon_sym_LT,
    STATE(2), 1,
      sym_STag,
    STATE(28), 1,
      sym_XMLDecl,
    STATE(36), 1,
      sym_element,
    STATE(57), 1,
      sym_doctypedecl,
    STATE(214), 1,
      sym_prolog,
    STATE(216), 1,
      sym_EmptyElemTag,
    ACTIONS(11), 2,
      sym_Comment,
      sym__S,
    STATE(27), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [235] = 9,
    ACTIONS(58), 1,
      anon_sym_LT_BANG,
    ACTIONS(60), 1,
      sym__S,
    ACTIONS(62), 1,
      anon_sym_LT_QMARK,
    ACTIONS(64), 1,
      anon_sym_RBRACK,
    ACTIONS(66), 1,
      sym_Comment,
    STATE(9), 1,
      aux_sym__intSubset,
    STATE(201), 1,
      sym__markupdecl,
    STATE(309), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(302), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [268] = 9,
    ACTIONS(58), 1,
      anon_sym_LT_BANG,
    ACTIONS(62), 1,
      anon_sym_LT_QMARK,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(68), 1,
      sym__S,
    ACTIONS(70), 1,
      anon_sym_RBRACK,
    STATE(10), 1,
      aux_sym__intSubset,
    STATE(201), 1,
      sym__markupdecl,
    STATE(309), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(302), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [301] = 9,
    ACTIONS(58), 1,
      anon_sym_LT_BANG,
    ACTIONS(62), 1,
      anon_sym_LT_QMARK,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(70), 1,
      anon_sym_RBRACK,
    ACTIONS(72), 1,
      sym__S,
    STATE(13), 1,
      aux_sym__intSubset,
    STATE(201), 1,
      sym__markupdecl,
    STATE(309), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(302), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [334] = 9,
    ACTIONS(58), 1,
      anon_sym_LT_BANG,
    ACTIONS(62), 1,
      anon_sym_LT_QMARK,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(72), 1,
      sym__S,
    ACTIONS(74), 1,
      anon_sym_RBRACK,
    STATE(13), 1,
      aux_sym__intSubset,
    STATE(201), 1,
      sym__markupdecl,
    STATE(309), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(302), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [367] = 9,
    ACTIONS(58), 1,
      anon_sym_LT_BANG,
    ACTIONS(62), 1,
      anon_sym_LT_QMARK,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(74), 1,
      anon_sym_RBRACK,
    ACTIONS(76), 1,
      sym__S,
    STATE(12), 1,
      aux_sym__intSubset,
    STATE(201), 1,
      sym__markupdecl,
    STATE(309), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(302), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [400] = 9,
    ACTIONS(58), 1,
      anon_sym_LT_BANG,
    ACTIONS(62), 1,
      anon_sym_LT_QMARK,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(72), 1,
      sym__S,
    ACTIONS(78), 1,
      anon_sym_RBRACK,
    STATE(13), 1,
      aux_sym__intSubset,
    STATE(201), 1,
      sym__markupdecl,
    STATE(309), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(302), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [433] = 9,
    ACTIONS(80), 1,
      anon_sym_LT_BANG,
    ACTIONS(83), 1,
      sym__S,
    ACTIONS(86), 1,
      anon_sym_LT_QMARK,
    ACTIONS(89), 1,
      anon_sym_RBRACK,
    ACTIONS(91), 1,
      sym_Comment,
    STATE(13), 1,
      aux_sym__intSubset,
    STATE(201), 1,
      sym__markupdecl,
    STATE(309), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(302), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [466] = 9,
    ACTIONS(58), 1,
      anon_sym_LT_BANG,
    ACTIONS(62), 1,
      anon_sym_LT_QMARK,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(72), 1,
      sym__S,
    ACTIONS(94), 1,
      anon_sym_RBRACK,
    STATE(13), 1,
      aux_sym__intSubset,
    STATE(201), 1,
      sym__markupdecl,
    STATE(309), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(302), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [499] = 9,
    ACTIONS(58), 1,
      anon_sym_LT_BANG,
    ACTIONS(62), 1,
      anon_sym_LT_QMARK,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(78), 1,
      anon_sym_RBRACK,
    ACTIONS(96), 1,
      sym__S,
    STATE(14), 1,
      aux_sym__intSubset,
    STATE(201), 1,
      sym__markupdecl,
    STATE(309), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(302), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [532] = 7,
    ACTIONS(58), 1,
      anon_sym_LT_BANG,
    ACTIONS(62), 1,
      anon_sym_LT_QMARK,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(70), 1,
      anon_sym_RBRACK,
    STATE(169), 1,
      sym__markupdecl,
    STATE(309), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(302), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [559] = 7,
    ACTIONS(58), 1,
      anon_sym_LT_BANG,
    ACTIONS(62), 1,
      anon_sym_LT_QMARK,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(74), 1,
      anon_sym_RBRACK,
    STATE(169), 1,
      sym__markupdecl,
    STATE(309), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(302), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [586] = 7,
    ACTIONS(58), 1,
      anon_sym_LT_BANG,
    ACTIONS(62), 1,
      anon_sym_LT_QMARK,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(78), 1,
      anon_sym_RBRACK,
    STATE(169), 1,
      sym__markupdecl,
    STATE(309), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(302), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [613] = 7,
    ACTIONS(58), 1,
      anon_sym_LT_BANG,
    ACTIONS(62), 1,
      anon_sym_LT_QMARK,
    ACTIONS(66), 1,
      sym_Comment,
    ACTIONS(94), 1,
      anon_sym_RBRACK,
    STATE(169), 1,
      sym__markupdecl,
    STATE(309), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(302), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [640] = 5,
    STATE(94), 1,
      aux_sym_Mixed_repeat1,
    STATE(167), 1,
      aux_sym_Mixed_repeat2,
    STATE(268), 1,
      sym_PEReference,
    ACTIONS(100), 3,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
    ACTIONS(98), 5,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [662] = 8,
    ACTIONS(102), 1,
      anon_sym_PERCENT,
    ACTIONS(104), 1,
      anon_sym_DQUOTE,
    ACTIONS(106), 1,
      aux_sym_EntityValue_token1,
    ACTIONS(108), 1,
      anon_sym_AMP,
    ACTIONS(110), 1,
      anon_sym_AMP_POUND,
    ACTIONS(112), 1,
      anon_sym_AMP_POUNDx,
    STATE(122), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(25), 3,
      sym_PEReference,
      sym__Reference,
      aux_sym_EntityValue_repeat1,
  [690] = 8,
    ACTIONS(104), 1,
      anon_sym_SQUOTE,
    ACTIONS(114), 1,
      anon_sym_PERCENT,
    ACTIONS(116), 1,
      aux_sym_EntityValue_token2,
    ACTIONS(118), 1,
      anon_sym_AMP,
    ACTIONS(120), 1,
      anon_sym_AMP_POUND,
    ACTIONS(122), 1,
      anon_sym_AMP_POUNDx,
    STATE(126), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(26), 3,
      sym_PEReference,
      sym__Reference,
      aux_sym_EntityValue_repeat2,
  [718] = 5,
    STATE(95), 1,
      aux_sym_Mixed_repeat1,
    STATE(161), 1,
      aux_sym_Mixed_repeat2,
    STATE(268), 1,
      sym_PEReference,
    ACTIONS(100), 3,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
    ACTIONS(98), 5,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [740] = 8,
    ACTIONS(124), 1,
      anon_sym_LPAREN,
    ACTIONS(126), 1,
      anon_sym_CDATA,
    ACTIONS(128), 1,
      sym_TokenizedType,
    ACTIONS(130), 1,
      anon_sym_NOTATION,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    STATE(289), 1,
      sym__AttType,
    STATE(290), 2,
      sym_NotationType,
      sym_Enumeration,
    STATE(288), 3,
      sym_StringType,
      sym__EnumeratedType,
      sym_PEReference,
  [768] = 8,
    ACTIONS(102), 1,
      anon_sym_PERCENT,
    ACTIONS(108), 1,
      anon_sym_AMP,
    ACTIONS(110), 1,
      anon_sym_AMP_POUND,
    ACTIONS(112), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(134), 1,
      anon_sym_DQUOTE,
    ACTIONS(136), 1,
      aux_sym_EntityValue_token1,
    STATE(122), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(29), 3,
      sym_PEReference,
      sym__Reference,
      aux_sym_EntityValue_repeat1,
  [796] = 8,
    ACTIONS(114), 1,
      anon_sym_PERCENT,
    ACTIONS(118), 1,
      anon_sym_AMP,
    ACTIONS(120), 1,
      anon_sym_AMP_POUND,
    ACTIONS(122), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(134), 1,
      anon_sym_SQUOTE,
    ACTIONS(138), 1,
      aux_sym_EntityValue_token2,
    STATE(126), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(30), 3,
      sym_PEReference,
      sym__Reference,
      aux_sym_EntityValue_repeat2,
  [824] = 6,
    ACTIONS(3), 1,
      anon_sym_LT_BANG,
    ACTIONS(142), 1,
      anon_sym_LT_QMARK,
    ACTIONS(144), 1,
      anon_sym_LT,
    STATE(49), 1,
      sym_doctypedecl,
    ACTIONS(140), 2,
      sym_Comment,
      sym__S,
    STATE(32), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [848] = 6,
    ACTIONS(3), 1,
      anon_sym_LT_BANG,
    ACTIONS(142), 1,
      anon_sym_LT_QMARK,
    ACTIONS(144), 1,
      anon_sym_LT,
    STATE(49), 1,
      sym_doctypedecl,
    ACTIONS(146), 2,
      sym_Comment,
      sym__S,
    STATE(33), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [872] = 8,
    ACTIONS(148), 1,
      anon_sym_PERCENT,
    ACTIONS(151), 1,
      anon_sym_DQUOTE,
    ACTIONS(153), 1,
      aux_sym_EntityValue_token1,
    ACTIONS(156), 1,
      anon_sym_AMP,
    ACTIONS(159), 1,
      anon_sym_AMP_POUND,
    ACTIONS(162), 1,
      anon_sym_AMP_POUNDx,
    STATE(122), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(29), 3,
      sym_PEReference,
      sym__Reference,
      aux_sym_EntityValue_repeat1,
  [900] = 8,
    ACTIONS(165), 1,
      anon_sym_PERCENT,
    ACTIONS(168), 1,
      anon_sym_SQUOTE,
    ACTIONS(170), 1,
      aux_sym_EntityValue_token2,
    ACTIONS(173), 1,
      anon_sym_AMP,
    ACTIONS(176), 1,
      anon_sym_AMP_POUND,
    ACTIONS(179), 1,
      anon_sym_AMP_POUNDx,
    STATE(126), 2,
      sym_EntityRef,
      sym_CharRef,
    STATE(30), 3,
      sym_PEReference,
      sym__Reference,
      aux_sym_EntityValue_repeat2,
  [928] = 6,
    ACTIONS(58), 1,
      anon_sym_LT_BANG,
    ACTIONS(62), 1,
      anon_sym_LT_QMARK,
    ACTIONS(66), 1,
      sym_Comment,
    STATE(169), 1,
      sym__markupdecl,
    STATE(309), 2,
      sym_GEDecl,
      sym_PEDecl,
    STATE(302), 5,
      sym_elementdecl,
      sym_AttlistDecl,
      sym__EntityDecl,
      sym_NotationDecl,
      sym_PI,
  [952] = 5,
    ACTIONS(187), 1,
      anon_sym_LT_QMARK,
    ACTIONS(190), 1,
      anon_sym_LT,
    ACTIONS(182), 2,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
    ACTIONS(184), 2,
      sym_Comment,
      sym__S,
    STATE(32), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [974] = 6,
    ACTIONS(3), 1,
      anon_sym_LT_BANG,
    ACTIONS(142), 1,
      anon_sym_LT_QMARK,
    ACTIONS(192), 1,
      anon_sym_LT,
    STATE(45), 1,
      sym_doctypedecl,
    ACTIONS(140), 2,
      sym_Comment,
      sym__S,
    STATE(32), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [998] = 1,
    ACTIONS(194), 10,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
      sym_Name,
  [1011] = 2,
    ACTIONS(196), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(198), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
  [1025] = 4,
    ACTIONS(142), 1,
      anon_sym_LT_QMARK,
    ACTIONS(200), 1,
      ts_builtin_sym_end,
    ACTIONS(202), 2,
      sym_Comment,
      sym__S,
    STATE(38), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [1043] = 4,
    ACTIONS(142), 1,
      anon_sym_LT_QMARK,
    ACTIONS(204), 1,
      ts_builtin_sym_end,
    ACTIONS(206), 2,
      sym_Comment,
      sym__S,
    STATE(50), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [1061] = 4,
    ACTIONS(142), 1,
      anon_sym_LT_QMARK,
    ACTIONS(208), 1,
      ts_builtin_sym_end,
    ACTIONS(140), 2,
      sym_Comment,
      sym__S,
    STATE(32), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [1079] = 4,
    ACTIONS(142), 1,
      anon_sym_LT_QMARK,
    ACTIONS(210), 1,
      ts_builtin_sym_end,
    ACTIONS(212), 2,
      sym_Comment,
      sym__S,
    STATE(61), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [1097] = 7,
    ACTIONS(214), 1,
      anon_sym_DQUOTE,
    ACTIONS(216), 1,
      anon_sym_AMP,
    ACTIONS(218), 1,
      anon_sym_AMP_POUND,
    ACTIONS(220), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(222), 1,
      aux_sym_AttValue_token1,
    STATE(47), 2,
      sym__Reference,
      aux_sym_AttValue_repeat1,
    STATE(151), 2,
      sym_EntityRef,
      sym_CharRef,
  [1121] = 7,
    ACTIONS(214), 1,
      anon_sym_SQUOTE,
    ACTIONS(224), 1,
      anon_sym_AMP,
    ACTIONS(226), 1,
      anon_sym_AMP_POUND,
    ACTIONS(228), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(230), 1,
      aux_sym_AttValue_token2,
    STATE(48), 2,
      sym__Reference,
      aux_sym_AttValue_repeat2,
    STATE(155), 2,
      sym_EntityRef,
      sym_CharRef,
  [1145] = 7,
    ACTIONS(216), 1,
      anon_sym_AMP,
    ACTIONS(218), 1,
      anon_sym_AMP_POUND,
    ACTIONS(220), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(222), 1,
      aux_sym_AttValue_token1,
    ACTIONS(232), 1,
      anon_sym_DQUOTE,
    STATE(47), 2,
      sym__Reference,
      aux_sym_AttValue_repeat1,
    STATE(151), 2,
      sym_EntityRef,
      sym_CharRef,
  [1169] = 7,
    ACTIONS(224), 1,
      anon_sym_AMP,
    ACTIONS(226), 1,
      anon_sym_AMP_POUND,
    ACTIONS(228), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(230), 1,
      aux_sym_AttValue_token2,
    ACTIONS(232), 1,
      anon_sym_SQUOTE,
    STATE(48), 2,
      sym__Reference,
      aux_sym_AttValue_repeat2,
    STATE(155), 2,
      sym_EntityRef,
      sym_CharRef,
  [1193] = 4,
    ACTIONS(142), 1,
      anon_sym_LT_QMARK,
    ACTIONS(234), 1,
      anon_sym_LT,
    ACTIONS(140), 2,
      sym_Comment,
      sym__S,
    STATE(32), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [1211] = 4,
    ACTIONS(142), 1,
      anon_sym_LT_QMARK,
    ACTIONS(234), 1,
      anon_sym_LT,
    ACTIONS(236), 2,
      sym_Comment,
      sym__S,
    STATE(53), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [1229] = 2,
    ACTIONS(238), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(240), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
  [1243] = 7,
    ACTIONS(242), 1,
      anon_sym_DQUOTE,
    ACTIONS(244), 1,
      anon_sym_AMP,
    ACTIONS(247), 1,
      anon_sym_AMP_POUND,
    ACTIONS(250), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(253), 1,
      aux_sym_AttValue_token1,
    STATE(47), 2,
      sym__Reference,
      aux_sym_AttValue_repeat1,
    STATE(151), 2,
      sym_EntityRef,
      sym_CharRef,
  [1267] = 7,
    ACTIONS(256), 1,
      anon_sym_SQUOTE,
    ACTIONS(258), 1,
      anon_sym_AMP,
    ACTIONS(261), 1,
      anon_sym_AMP_POUND,
    ACTIONS(264), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(267), 1,
      aux_sym_AttValue_token2,
    STATE(48), 2,
      sym__Reference,
      aux_sym_AttValue_repeat2,
    STATE(155), 2,
      sym_EntityRef,
      sym_CharRef,
  [1291] = 4,
    ACTIONS(142), 1,
      anon_sym_LT_QMARK,
    ACTIONS(192), 1,
      anon_sym_LT,
    ACTIONS(270), 2,
      sym_Comment,
      sym__S,
    STATE(44), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [1309] = 4,
    ACTIONS(142), 1,
      anon_sym_LT_QMARK,
    ACTIONS(272), 1,
      ts_builtin_sym_end,
    ACTIONS(140), 2,
      sym_Comment,
      sym__S,
    STATE(32), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [1327] = 6,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(276), 1,
      anon_sym_LPAREN,
    STATE(130), 1,
      sym__choice,
    STATE(341), 1,
      sym_contentspec,
    ACTIONS(274), 2,
      anon_sym_EMPTY,
      anon_sym_ANY,
    STATE(339), 3,
      sym_Mixed,
      sym_children,
      sym_PEReference,
  [1349] = 2,
    ACTIONS(278), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(280), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
  [1363] = 4,
    ACTIONS(142), 1,
      anon_sym_LT_QMARK,
    ACTIONS(282), 1,
      anon_sym_LT,
    ACTIONS(140), 2,
      sym_Comment,
      sym__S,
    STATE(32), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [1381] = 2,
    ACTIONS(284), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(286), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
  [1395] = 2,
    ACTIONS(288), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(290), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
  [1409] = 2,
    ACTIONS(292), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(294), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
  [1423] = 4,
    ACTIONS(142), 1,
      anon_sym_LT_QMARK,
    ACTIONS(144), 1,
      anon_sym_LT,
    ACTIONS(296), 2,
      sym_Comment,
      sym__S,
    STATE(59), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [1441] = 2,
    ACTIONS(298), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(300), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
  [1455] = 4,
    ACTIONS(142), 1,
      anon_sym_LT_QMARK,
    ACTIONS(192), 1,
      anon_sym_LT,
    ACTIONS(140), 2,
      sym_Comment,
      sym__S,
    STATE(32), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [1473] = 1,
    ACTIONS(302), 9,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [1485] = 4,
    ACTIONS(142), 1,
      anon_sym_LT_QMARK,
    ACTIONS(304), 1,
      ts_builtin_sym_end,
    ACTIONS(140), 2,
      sym_Comment,
      sym__S,
    STATE(32), 5,
      sym_PI,
      sym__Misc,
      sym_StyleSheetPI,
      sym_XmlModelPI,
      aux_sym_document_repeat1,
  [1503] = 2,
    ACTIONS(306), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(308), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
  [1517] = 1,
    ACTIONS(310), 9,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [1529] = 7,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(314), 1,
      anon_sym_POUNDFIXED,
    ACTIONS(316), 1,
      anon_sym_DQUOTE,
    ACTIONS(318), 1,
      anon_sym_SQUOTE,
    STATE(322), 1,
      sym_DefaultDecl,
    ACTIONS(312), 2,
      anon_sym_POUNDREQUIRED,
      anon_sym_POUNDIMPLIED,
    STATE(321), 2,
      sym_PEReference,
      sym_AttValue,
  [1553] = 1,
    ACTIONS(320), 9,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [1565] = 1,
    ACTIONS(322), 9,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [1577] = 1,
    ACTIONS(324), 9,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [1589] = 2,
    ACTIONS(326), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(328), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
  [1603] = 2,
    ACTIONS(330), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(332), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
  [1617] = 2,
    ACTIONS(334), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(336), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
  [1631] = 2,
    ACTIONS(338), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(340), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
  [1645] = 2,
    ACTIONS(342), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(344), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
  [1659] = 7,
    ACTIONS(216), 1,
      anon_sym_AMP,
    ACTIONS(218), 1,
      anon_sym_AMP_POUND,
    ACTIONS(220), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(346), 1,
      anon_sym_DQUOTE,
    ACTIONS(348), 1,
      aux_sym_AttValue_token1,
    STATE(40), 2,
      sym__Reference,
      aux_sym_AttValue_repeat1,
    STATE(151), 2,
      sym_EntityRef,
      sym_CharRef,
  [1683] = 2,
    ACTIONS(350), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(352), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
  [1697] = 2,
    ACTIONS(354), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(356), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
  [1711] = 2,
    ACTIONS(358), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(360), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
  [1725] = 2,
    ACTIONS(362), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(364), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
  [1739] = 7,
    ACTIONS(224), 1,
      anon_sym_AMP,
    ACTIONS(226), 1,
      anon_sym_AMP_POUND,
    ACTIONS(228), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(346), 1,
      anon_sym_SQUOTE,
    ACTIONS(366), 1,
      aux_sym_AttValue_token2,
    STATE(41), 2,
      sym__Reference,
      aux_sym_AttValue_repeat2,
    STATE(155), 2,
      sym_EntityRef,
      sym_CharRef,
  [1763] = 7,
    ACTIONS(216), 1,
      anon_sym_AMP,
    ACTIONS(218), 1,
      anon_sym_AMP_POUND,
    ACTIONS(220), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(368), 1,
      anon_sym_DQUOTE,
    ACTIONS(370), 1,
      aux_sym_AttValue_token1,
    STATE(42), 2,
      sym__Reference,
      aux_sym_AttValue_repeat1,
    STATE(151), 2,
      sym_EntityRef,
      sym_CharRef,
  [1787] = 7,
    ACTIONS(224), 1,
      anon_sym_AMP,
    ACTIONS(226), 1,
      anon_sym_AMP_POUND,
    ACTIONS(228), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(368), 1,
      anon_sym_SQUOTE,
    ACTIONS(372), 1,
      aux_sym_AttValue_token2,
    STATE(43), 2,
      sym__Reference,
      aux_sym_AttValue_repeat2,
    STATE(155), 2,
      sym_EntityRef,
      sym_CharRef,
  [1811] = 7,
    ACTIONS(216), 1,
      anon_sym_AMP,
    ACTIONS(218), 1,
      anon_sym_AMP_POUND,
    ACTIONS(220), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(374), 1,
      anon_sym_DQUOTE,
    ACTIONS(376), 1,
      aux_sym_AttValue_token1,
    STATE(83), 2,
      sym__Reference,
      aux_sym_AttValue_repeat1,
    STATE(151), 2,
      sym_EntityRef,
      sym_CharRef,
  [1835] = 7,
    ACTIONS(224), 1,
      anon_sym_AMP,
    ACTIONS(226), 1,
      anon_sym_AMP_POUND,
    ACTIONS(228), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(374), 1,
      anon_sym_SQUOTE,
    ACTIONS(378), 1,
      aux_sym_AttValue_token2,
    STATE(84), 2,
      sym__Reference,
      aux_sym_AttValue_repeat2,
    STATE(155), 2,
      sym_EntityRef,
      sym_CharRef,
  [1859] = 7,
    ACTIONS(216), 1,
      anon_sym_AMP,
    ACTIONS(218), 1,
      anon_sym_AMP_POUND,
    ACTIONS(220), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(222), 1,
      aux_sym_AttValue_token1,
    ACTIONS(380), 1,
      anon_sym_DQUOTE,
    STATE(47), 2,
      sym__Reference,
      aux_sym_AttValue_repeat1,
    STATE(151), 2,
      sym_EntityRef,
      sym_CharRef,
  [1883] = 7,
    ACTIONS(224), 1,
      anon_sym_AMP,
    ACTIONS(226), 1,
      anon_sym_AMP_POUND,
    ACTIONS(228), 1,
      anon_sym_AMP_POUNDx,
    ACTIONS(230), 1,
      aux_sym_AttValue_token2,
    ACTIONS(380), 1,
      anon_sym_SQUOTE,
    STATE(48), 2,
      sym__Reference,
      aux_sym_AttValue_repeat2,
    STATE(155), 2,
      sym_EntityRef,
      sym_CharRef,
  [1907] = 2,
    ACTIONS(382), 3,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
      anon_sym_LT,
    ACTIONS(384), 6,
      sym_Comment,
      sym_CharData,
      anon_sym_AMP_POUNDx,
      anon_sym_LT_QMARK,
      anon_sym_LT_SLASH,
      anon_sym_LT_BANG_LBRACK,
  [1921] = 6,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(388), 1,
      anon_sym_RPAREN,
    ACTIONS(390), 1,
      sym__S,
    STATE(114), 1,
      aux_sym__choice_repeat1,
    ACTIONS(386), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
    STATE(140), 2,
      sym_PEReference,
      aux_sym__choice_repeat2,
  [1942] = 6,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(388), 1,
      anon_sym_RPAREN,
    ACTIONS(390), 1,
      sym__S,
    STATE(90), 1,
      aux_sym__choice_repeat1,
    ACTIONS(386), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
    STATE(140), 2,
      sym_PEReference,
      aux_sym__choice_repeat2,
  [1963] = 2,
    ACTIONS(100), 3,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
    ACTIONS(98), 5,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [1976] = 6,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(392), 1,
      anon_sym_RPAREN,
    ACTIONS(394), 1,
      sym__S,
    STATE(86), 1,
      aux_sym__choice_repeat1,
    ACTIONS(386), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
    STATE(136), 2,
      sym_PEReference,
      aux_sym__choice_repeat2,
  [1997] = 6,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(396), 1,
      anon_sym_RPAREN,
    ACTIONS(398), 1,
      sym__S,
    STATE(114), 1,
      aux_sym__choice_repeat1,
    ACTIONS(386), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
    STATE(146), 2,
      sym_PEReference,
      aux_sym__choice_repeat2,
  [2018] = 8,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(400), 1,
      sym_Name,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(404), 1,
      anon_sym_POUNDPCDATA,
    ACTIONS(406), 1,
      sym__S,
    STATE(23), 1,
      sym_PEReference,
    STATE(88), 1,
      sym__choice,
    STATE(89), 1,
      sym__cp,
  [2043] = 7,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(410), 1,
      anon_sym_RPAREN,
    ACTIONS(412), 1,
      sym__S,
    STATE(95), 1,
      aux_sym_Mixed_repeat1,
    STATE(161), 1,
      aux_sym_Mixed_repeat2,
    STATE(268), 1,
      sym_PEReference,
  [2065] = 6,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(400), 1,
      sym_Name,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(414), 1,
      sym__S,
    STATE(147), 1,
      sym__cp,
    STATE(88), 2,
      sym__choice,
      sym_PEReference,
  [2085] = 7,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(416), 1,
      anon_sym_RPAREN,
    ACTIONS(418), 1,
      sym__S,
    STATE(127), 1,
      aux_sym_Mixed_repeat1,
    STATE(180), 1,
      aux_sym_Mixed_repeat2,
    STATE(268), 1,
      sym_PEReference,
  [2107] = 7,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(420), 1,
      anon_sym_RPAREN,
    ACTIONS(422), 1,
      sym__S,
    STATE(127), 1,
      aux_sym_Mixed_repeat1,
    STATE(170), 1,
      aux_sym_Mixed_repeat2,
    STATE(268), 1,
      sym_PEReference,
  [2129] = 7,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(408), 1,
      anon_sym_PIPE,
    ACTIONS(424), 1,
      anon_sym_RPAREN,
    ACTIONS(426), 1,
      sym__S,
    STATE(94), 1,
      aux_sym_Mixed_repeat1,
    STATE(167), 1,
      aux_sym_Mixed_repeat2,
    STATE(268), 1,
      sym_PEReference,
  [2151] = 6,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(400), 1,
      sym_Name,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(428), 1,
      sym__S,
    STATE(89), 1,
      sym__cp,
    STATE(88), 2,
      sym__choice,
      sym_PEReference,
  [2171] = 7,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(400), 1,
      sym_Name,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(430), 1,
      anon_sym_POUNDPCDATA,
    STATE(20), 1,
      sym_PEReference,
    STATE(87), 1,
      sym__cp,
    STATE(88), 1,
      sym__choice,
  [2193] = 6,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(400), 1,
      sym_Name,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    ACTIONS(432), 1,
      sym__S,
    STATE(142), 1,
      sym__cp,
    STATE(88), 2,
      sym__choice,
      sym_PEReference,
  [2213] = 2,
    ACTIONS(288), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(290), 4,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      aux_sym_EntityValue_token2,
      anon_sym_AMP_POUNDx,
  [2224] = 2,
    ACTIONS(284), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(286), 4,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      aux_sym_EntityValue_token2,
      anon_sym_AMP_POUNDx,
  [2235] = 2,
    ACTIONS(436), 1,
      anon_sym_LT,
    ACTIONS(434), 5,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
  [2246] = 2,
    ACTIONS(440), 1,
      anon_sym_LT,
    ACTIONS(438), 5,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
  [2257] = 5,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(442), 1,
      anon_sym_SYSTEM,
    ACTIONS(444), 1,
      anon_sym_PUBLIC,
    STATE(419), 1,
      sym_PEReference,
    STATE(353), 2,
      sym_ExternalID,
      sym_PublicID,
  [2274] = 6,
    ACTIONS(442), 1,
      anon_sym_SYSTEM,
    ACTIONS(446), 1,
      anon_sym_DQUOTE,
    ACTIONS(448), 1,
      anon_sym_SQUOTE,
    ACTIONS(450), 1,
      anon_sym_PUBLIC,
    STATE(261), 1,
      sym_ExternalID,
    STATE(355), 1,
      sym_EntityValue,
  [2293] = 2,
    ACTIONS(334), 1,
      anon_sym_LT,
    ACTIONS(336), 5,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
  [2304] = 5,
    ACTIONS(442), 1,
      anon_sym_SYSTEM,
    ACTIONS(446), 1,
      anon_sym_DQUOTE,
    ACTIONS(448), 1,
      anon_sym_SQUOTE,
    ACTIONS(450), 1,
      anon_sym_PUBLIC,
    STATE(294), 2,
      sym_EntityValue,
      sym_ExternalID,
  [2321] = 5,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(400), 1,
      sym_Name,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    STATE(87), 1,
      sym__cp,
    STATE(88), 2,
      sym__choice,
      sym_PEReference,
  [2338] = 2,
    ACTIONS(354), 1,
      anon_sym_LT,
    ACTIONS(356), 5,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
  [2349] = 2,
    ACTIONS(454), 1,
      anon_sym_LT,
    ACTIONS(452), 5,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
  [2360] = 2,
    ACTIONS(458), 1,
      anon_sym_LT,
    ACTIONS(456), 5,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
  [2371] = 2,
    ACTIONS(462), 1,
      anon_sym_LT,
    ACTIONS(460), 5,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
  [2382] = 5,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(400), 1,
      sym_Name,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    STATE(147), 1,
      sym__cp,
    STATE(88), 2,
      sym__choice,
      sym_PEReference,
  [2399] = 4,
    ACTIONS(469), 1,
      sym__S,
    STATE(114), 1,
      aux_sym__choice_repeat1,
    ACTIONS(464), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
    ACTIONS(467), 2,
      anon_sym_RPAREN,
      anon_sym_PERCENT,
  [2414] = 5,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(400), 1,
      sym_Name,
    ACTIONS(402), 1,
      anon_sym_LPAREN,
    STATE(148), 1,
      sym__cp,
    STATE(88), 2,
      sym__choice,
      sym_PEReference,
  [2431] = 6,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(472), 1,
      sym_Name,
    ACTIONS(474), 1,
      anon_sym_PIPE,
    ACTIONS(476), 1,
      sym__S,
    STATE(118), 1,
      aux_sym_NotationType_repeat1,
    STATE(340), 1,
      sym_PEReference,
  [2450] = 6,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(474), 1,
      anon_sym_PIPE,
    ACTIONS(476), 1,
      sym__S,
    ACTIONS(478), 1,
      sym_Name,
    STATE(119), 1,
      aux_sym_NotationType_repeat1,
    STATE(345), 1,
      sym_PEReference,
  [2469] = 6,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(474), 1,
      anon_sym_PIPE,
    ACTIONS(476), 1,
      sym__S,
    ACTIONS(478), 1,
      sym_Name,
    STATE(150), 1,
      aux_sym_NotationType_repeat1,
    STATE(345), 1,
      sym_PEReference,
  [2488] = 6,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(474), 1,
      anon_sym_PIPE,
    ACTIONS(476), 1,
      sym__S,
    ACTIONS(480), 1,
      sym_Name,
    STATE(150), 1,
      aux_sym_NotationType_repeat1,
    STATE(350), 1,
      sym_PEReference,
  [2507] = 2,
    ACTIONS(484), 1,
      anon_sym_LT,
    ACTIONS(482), 5,
      sym_Comment,
      ts_builtin_sym_end,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
  [2518] = 2,
    ACTIONS(486), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(194), 4,
      anon_sym_PERCENT,
      anon_sym_DQUOTE,
      aux_sym_EntityValue_token1,
      anon_sym_AMP_POUNDx,
  [2529] = 2,
    ACTIONS(306), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(308), 4,
      anon_sym_PERCENT,
      anon_sym_DQUOTE,
      aux_sym_EntityValue_token1,
      anon_sym_AMP_POUNDx,
  [2540] = 2,
    ACTIONS(284), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(286), 4,
      anon_sym_PERCENT,
      anon_sym_DQUOTE,
      aux_sym_EntityValue_token1,
      anon_sym_AMP_POUNDx,
  [2551] = 2,
    ACTIONS(288), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(290), 4,
      anon_sym_PERCENT,
      anon_sym_DQUOTE,
      aux_sym_EntityValue_token1,
      anon_sym_AMP_POUNDx,
  [2562] = 2,
    ACTIONS(486), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(194), 4,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      aux_sym_EntityValue_token2,
      anon_sym_AMP_POUNDx,
  [2573] = 2,
    ACTIONS(306), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(308), 4,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      aux_sym_EntityValue_token2,
      anon_sym_AMP_POUNDx,
  [2584] = 4,
    ACTIONS(488), 1,
      anon_sym_PIPE,
    ACTIONS(493), 1,
      sym__S,
    STATE(127), 1,
      aux_sym_Mixed_repeat1,
    ACTIONS(491), 2,
      anon_sym_RPAREN,
      anon_sym_PERCENT,
  [2598] = 1,
    ACTIONS(194), 5,
      sym_Comment,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
      anon_sym_RBRACK,
  [2606] = 2,
    ACTIONS(498), 1,
      anon_sym_LT,
    ACTIONS(496), 4,
      sym_Comment,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
  [2616] = 2,
    ACTIONS(500), 2,
      anon_sym_GT,
      sym__S,
    ACTIONS(502), 3,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS,
  [2626] = 5,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(424), 1,
      anon_sym_RPAREN,
    ACTIONS(504), 1,
      anon_sym_PIPE,
    STATE(167), 1,
      aux_sym_Mixed_repeat2,
    STATE(268), 1,
      sym_PEReference,
  [2642] = 5,
    ACTIONS(442), 1,
      anon_sym_SYSTEM,
    ACTIONS(450), 1,
      anon_sym_PUBLIC,
    ACTIONS(506), 1,
      anon_sym_GT,
    ACTIONS(508), 1,
      anon_sym_LBRACK,
    STATE(230), 1,
      sym_ExternalID,
  [2658] = 1,
    ACTIONS(510), 5,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [2666] = 2,
    ACTIONS(514), 1,
      anon_sym_LT,
    ACTIONS(512), 4,
      sym_Comment,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
  [2676] = 4,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(388), 1,
      anon_sym_RPAREN,
    STATE(236), 1,
      sym_PEReference,
    ACTIONS(516), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
  [2690] = 4,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(388), 1,
      anon_sym_RPAREN,
    ACTIONS(518), 1,
      sym__S,
    STATE(143), 2,
      sym_PEReference,
      aux_sym__choice_repeat2,
  [2704] = 5,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(416), 1,
      anon_sym_RPAREN,
    ACTIONS(504), 1,
      anon_sym_PIPE,
    STATE(180), 1,
      aux_sym_Mixed_repeat2,
    STATE(268), 1,
      sym_PEReference,
  [2720] = 5,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(504), 1,
      anon_sym_PIPE,
    ACTIONS(520), 1,
      anon_sym_RPAREN,
    STATE(181), 1,
      aux_sym_Mixed_repeat2,
    STATE(268), 1,
      sym_PEReference,
  [2736] = 4,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(396), 1,
      anon_sym_RPAREN,
    STATE(236), 1,
      sym_PEReference,
    ACTIONS(516), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
  [2750] = 4,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(396), 1,
      anon_sym_RPAREN,
    ACTIONS(522), 1,
      sym__S,
    STATE(143), 2,
      sym_PEReference,
      aux_sym__choice_repeat2,
  [2764] = 2,
    ACTIONS(526), 1,
      anon_sym_LT,
    ACTIONS(524), 4,
      sym_Comment,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
  [2774] = 1,
    ACTIONS(467), 5,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [2782] = 4,
    ACTIONS(528), 1,
      anon_sym_RPAREN,
    ACTIONS(530), 1,
      anon_sym_PERCENT,
    ACTIONS(533), 1,
      sym__S,
    STATE(143), 2,
      sym_PEReference,
      aux_sym__choice_repeat2,
  [2796] = 5,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(504), 1,
      anon_sym_PIPE,
    ACTIONS(536), 1,
      anon_sym_RPAREN,
    STATE(189), 1,
      aux_sym_Mixed_repeat2,
    STATE(268), 1,
      sym_PEReference,
  [2812] = 4,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(538), 1,
      anon_sym_RPAREN,
    STATE(236), 1,
      sym_PEReference,
    ACTIONS(516), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
  [2826] = 4,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(538), 1,
      anon_sym_RPAREN,
    ACTIONS(540), 1,
      sym__S,
    STATE(143), 2,
      sym_PEReference,
      aux_sym__choice_repeat2,
  [2840] = 1,
    ACTIONS(542), 5,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [2848] = 1,
    ACTIONS(544), 5,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PERCENT,
      sym__S,
  [2856] = 1,
    ACTIONS(546), 5,
      sym_Comment,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
      anon_sym_RBRACK,
  [2864] = 4,
    ACTIONS(550), 1,
      anon_sym_PIPE,
    ACTIONS(553), 1,
      sym__S,
    STATE(150), 1,
      aux_sym_NotationType_repeat1,
    ACTIONS(548), 2,
      anon_sym_PERCENT,
      sym_Name,
  [2878] = 2,
    ACTIONS(306), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(308), 3,
      anon_sym_DQUOTE,
      anon_sym_AMP_POUNDx,
      aux_sym_AttValue_token1,
  [2888] = 2,
    ACTIONS(558), 1,
      anon_sym_LT,
    ACTIONS(556), 4,
      sym_Comment,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
  [2898] = 2,
    ACTIONS(284), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(286), 3,
      anon_sym_DQUOTE,
      anon_sym_AMP_POUNDx,
      aux_sym_AttValue_token1,
  [2908] = 2,
    ACTIONS(288), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(290), 3,
      anon_sym_DQUOTE,
      anon_sym_AMP_POUNDx,
      aux_sym_AttValue_token1,
  [2918] = 2,
    ACTIONS(306), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(308), 3,
      anon_sym_SQUOTE,
      anon_sym_AMP_POUNDx,
      aux_sym_AttValue_token2,
  [2928] = 2,
    ACTIONS(284), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(286), 3,
      anon_sym_SQUOTE,
      anon_sym_AMP_POUNDx,
      aux_sym_AttValue_token2,
  [2938] = 2,
    ACTIONS(288), 2,
      anon_sym_AMP,
      anon_sym_AMP_POUND,
    ACTIONS(290), 3,
      anon_sym_SQUOTE,
      anon_sym_AMP_POUNDx,
      aux_sym_AttValue_token2,
  [2948] = 1,
    ACTIONS(89), 5,
      sym_Comment,
      anon_sym_LT_BANG,
      sym__S,
      anon_sym_LT_QMARK,
      anon_sym_RBRACK,
  [2956] = 4,
    ACTIONS(560), 1,
      anon_sym_PIPE,
    ACTIONS(562), 1,
      anon_sym_RPAREN,
    ACTIONS(564), 1,
      sym__S,
    STATE(193), 1,
      aux_sym_Enumeration_repeat1,
  [2969] = 2,
    ACTIONS(568), 1,
      anon_sym_LT,
    ACTIONS(566), 3,
      sym_Comment,
      sym__S,
      anon_sym_LT_QMARK,
  [2978] = 4,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(424), 1,
      anon_sym_RPAREN,
    STATE(171), 1,
      aux_sym_Mixed_repeat2,
    STATE(268), 1,
      sym_PEReference,
  [2991] = 4,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(570), 1,
      sym_Name,
    ACTIONS(572), 1,
      anon_sym_GT,
    STATE(347), 1,
      sym_PEReference,
  [3004] = 3,
    ACTIONS(572), 1,
      anon_sym_GT,
    ACTIONS(574), 1,
      sym__S,
    STATE(174), 2,
      sym_AttDef,
      aux_sym_AttlistDecl_repeat1,
  [3015] = 1,
    ACTIONS(332), 4,
      sym_Comment,
      ts_builtin_sym_end,
      sym__S,
      anon_sym_LT_QMARK,
  [3022] = 1,
    ACTIONS(491), 4,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_PERCENT,
      sym__S,
  [3029] = 4,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(576), 1,
      sym_Name,
    ACTIONS(578), 1,
      sym__S,
    STATE(179), 1,
      sym_PEReference,
  [3042] = 4,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(520), 1,
      anon_sym_RPAREN,
    STATE(171), 1,
      aux_sym_Mixed_repeat2,
    STATE(268), 1,
      sym_PEReference,
  [3055] = 2,
    ACTIONS(582), 1,
      anon_sym_LT,
    ACTIONS(580), 3,
      sym_Comment,
      sym__S,
      anon_sym_LT_QMARK,
  [3064] = 3,
    ACTIONS(584), 1,
      anon_sym_PERCENT,
    ACTIONS(586), 1,
      sym__S,
    STATE(149), 2,
      sym__DeclSep,
      sym_PEReference,
  [3075] = 4,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(416), 1,
      anon_sym_RPAREN,
    STATE(171), 1,
      aux_sym_Mixed_repeat2,
    STATE(268), 1,
      sym_PEReference,
  [3088] = 4,
    ACTIONS(588), 1,
      anon_sym_RPAREN,
    ACTIONS(590), 1,
      anon_sym_PERCENT,
    STATE(171), 1,
      aux_sym_Mixed_repeat2,
    STATE(268), 1,
      sym_PEReference,
  [3101] = 2,
    ACTIONS(595), 1,
      anon_sym_LT,
    ACTIONS(593), 3,
      sym_Comment,
      sym__S,
      anon_sym_LT_QMARK,
  [3110] = 4,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(570), 1,
      sym_Name,
    ACTIONS(597), 1,
      anon_sym_GT,
    STATE(347), 1,
      sym_PEReference,
  [3123] = 3,
    ACTIONS(599), 1,
      anon_sym_GT,
    ACTIONS(601), 1,
      sym__S,
    STATE(174), 2,
      sym_AttDef,
      aux_sym_AttlistDecl_repeat1,
  [3134] = 4,
    ACTIONS(604), 1,
      anon_sym_GT,
    ACTIONS(606), 1,
      sym__S,
    ACTIONS(608), 1,
      anon_sym_SLASH_GT,
    STATE(213), 1,
      aux_sym_EmptyElemTag_repeat1,
  [3147] = 1,
    ACTIONS(360), 4,
      sym_Comment,
      ts_builtin_sym_end,
      sym__S,
      anon_sym_LT_QMARK,
  [3154] = 4,
    ACTIONS(560), 1,
      anon_sym_PIPE,
    ACTIONS(610), 1,
      anon_sym_RPAREN,
    ACTIONS(612), 1,
      sym__S,
    STATE(159), 1,
      aux_sym_Enumeration_repeat1,
  [3167] = 1,
    ACTIONS(364), 4,
      sym_Comment,
      ts_builtin_sym_end,
      sym__S,
      anon_sym_LT_QMARK,
  [3174] = 1,
    ACTIONS(614), 4,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_PERCENT,
      sym__S,
  [3181] = 4,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(536), 1,
      anon_sym_RPAREN,
    STATE(171), 1,
      aux_sym_Mixed_repeat2,
    STATE(268), 1,
      sym_PEReference,
  [3194] = 4,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(616), 1,
      anon_sym_RPAREN,
    STATE(171), 1,
      aux_sym_Mixed_repeat2,
    STATE(268), 1,
      sym_PEReference,
  [3207] = 2,
    ACTIONS(620), 1,
      anon_sym_LT,
    ACTIONS(618), 3,
      sym_Comment,
      sym__S,
      anon_sym_LT_QMARK,
  [3216] = 2,
    ACTIONS(624), 1,
      anon_sym_LT,
    ACTIONS(622), 3,
      sym_Comment,
      sym__S,
      anon_sym_LT_QMARK,
  [3225] = 1,
    ACTIONS(198), 4,
      sym_Comment,
      ts_builtin_sym_end,
      sym__S,
      anon_sym_LT_QMARK,
  [3232] = 4,
    ACTIONS(560), 1,
      anon_sym_PIPE,
    ACTIONS(562), 1,
      anon_sym_RPAREN,
    ACTIONS(564), 1,
      sym__S,
    STATE(192), 1,
      aux_sym_Enumeration_repeat1,
  [3245] = 2,
    ACTIONS(628), 1,
      anon_sym_LT,
    ACTIONS(626), 3,
      sym_Comment,
      sym__S,
      anon_sym_LT_QMARK,
  [3254] = 4,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(630), 1,
      sym_Name,
    ACTIONS(632), 1,
      sym__S,
    STATE(165), 1,
      sym_PEReference,
  [3267] = 1,
    ACTIONS(634), 4,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_PERCENT,
      sym__S,
  [3274] = 4,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(636), 1,
      anon_sym_RPAREN,
    STATE(171), 1,
      aux_sym_Mixed_repeat2,
    STATE(268), 1,
      sym_PEReference,
  [3287] = 4,
    ACTIONS(638), 1,
      sym__S,
    ACTIONS(640), 1,
      anon_sym_QMARK_GT,
    STATE(237), 1,
      sym__EncodingDecl,
    STATE(364), 1,
      sym__SDDecl,
  [3300] = 4,
    ACTIONS(642), 1,
      sym_Name,
    ACTIONS(644), 1,
      anon_sym_GT,
    ACTIONS(646), 1,
      anon_sym_SLASH_GT,
    STATE(270), 1,
      sym_Attribute,
  [3313] = 4,
    ACTIONS(560), 1,
      anon_sym_PIPE,
    ACTIONS(648), 1,
      anon_sym_RPAREN,
    ACTIONS(650), 1,
      sym__S,
    STATE(193), 1,
      aux_sym_Enumeration_repeat1,
  [3326] = 4,
    ACTIONS(652), 1,
      anon_sym_PIPE,
    ACTIONS(655), 1,
      anon_sym_RPAREN,
    ACTIONS(657), 1,
      sym__S,
    STATE(193), 1,
      aux_sym_Enumeration_repeat1,
  [3339] = 2,
    ACTIONS(662), 1,
      sym__S,
    ACTIONS(660), 3,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      sym_Name,
  [3348] = 3,
    ACTIONS(667), 1,
      sym__S,
    STATE(195), 1,
      aux_sym_EmptyElemTag_repeat1,
    ACTIONS(665), 2,
      anon_sym_GT,
      anon_sym_SLASH_GT,
  [3359] = 1,
    ACTIONS(548), 4,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      sym__S,
      sym_Name,
  [3366] = 2,
    ACTIONS(670), 1,
      sym__S,
    ACTIONS(548), 3,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      sym_Name,
  [3375] = 1,
    ACTIONS(673), 4,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      sym__S,
      sym_Name,
  [3382] = 4,
    ACTIONS(675), 1,
      anon_sym_ELEMENT,
    ACTIONS(677), 1,
      anon_sym_ATTLIST,
    ACTIONS(679), 1,
      anon_sym_NOTATION,
    ACTIONS(681), 1,
      anon_sym_ENTITY,
  [3395] = 4,
    ACTIONS(683), 1,
      anon_sym_xml,
    ACTIONS(685), 1,
      anon_sym_xml_DASHstylesheet,
    ACTIONS(687), 1,
      anon_sym_xml_DASHmodel,
    ACTIONS(689), 1,
      sym_PITarget,
  [3408] = 3,
    ACTIONS(584), 1,
      anon_sym_PERCENT,
    ACTIONS(691), 1,
      sym__S,
    STATE(158), 2,
      sym__DeclSep,
      sym_PEReference,
  [3419] = 4,
    ACTIONS(693), 1,
      anon_sym_LT,
    STATE(2), 1,
      sym_STag,
    STATE(36), 1,
      sym_element,
    STATE(216), 1,
      sym_EmptyElemTag,
  [3432] = 4,
    ACTIONS(642), 1,
      sym_Name,
    ACTIONS(695), 1,
      anon_sym_GT,
    ACTIONS(697), 1,
      anon_sym_SLASH_GT,
    STATE(270), 1,
      sym_Attribute,
  [3445] = 1,
    ACTIONS(340), 4,
      sym_Comment,
      ts_builtin_sym_end,
      sym__S,
      anon_sym_LT_QMARK,
  [3452] = 1,
    ACTIONS(352), 4,
      sym_Comment,
      ts_builtin_sym_end,
      sym__S,
      anon_sym_LT_QMARK,
  [3459] = 1,
    ACTIONS(344), 4,
      sym_Comment,
      ts_builtin_sym_end,
      sym__S,
      anon_sym_LT_QMARK,
  [3466] = 2,
    ACTIONS(701), 1,
      anon_sym_LT,
    ACTIONS(699), 3,
      sym_Comment,
      sym__S,
      anon_sym_LT_QMARK,
  [3475] = 3,
    ACTIONS(703), 1,
      anon_sym_GT,
    ACTIONS(705), 1,
      sym__S,
    STATE(163), 2,
      sym_AttDef,
      aux_sym_AttlistDecl_repeat1,
  [3486] = 4,
    ACTIONS(604), 1,
      anon_sym_GT,
    ACTIONS(707), 1,
      sym__S,
    ACTIONS(709), 1,
      anon_sym_SLASH_GT,
    STATE(211), 1,
      aux_sym_EmptyElemTag_repeat1,
  [3499] = 4,
    ACTIONS(642), 1,
      sym_Name,
    ACTIONS(695), 1,
      anon_sym_GT,
    ACTIONS(711), 1,
      anon_sym_SLASH_GT,
    STATE(270), 1,
      sym_Attribute,
  [3512] = 4,
    ACTIONS(695), 1,
      anon_sym_GT,
    ACTIONS(711), 1,
      anon_sym_SLASH_GT,
    ACTIONS(713), 1,
      sym__S,
    STATE(195), 1,
      aux_sym_EmptyElemTag_repeat1,
  [3525] = 4,
    ACTIONS(642), 1,
      sym_Name,
    ACTIONS(644), 1,
      anon_sym_GT,
    ACTIONS(715), 1,
      anon_sym_SLASH_GT,
    STATE(270), 1,
      sym_Attribute,
  [3538] = 4,
    ACTIONS(695), 1,
      anon_sym_GT,
    ACTIONS(697), 1,
      anon_sym_SLASH_GT,
    ACTIONS(717), 1,
      sym__S,
    STATE(195), 1,
      aux_sym_EmptyElemTag_repeat1,
  [3551] = 4,
    ACTIONS(693), 1,
      anon_sym_LT,
    STATE(2), 1,
      sym_STag,
    STATE(37), 1,
      sym_element,
    STATE(216), 1,
      sym_EmptyElemTag,
  [3564] = 2,
    ACTIONS(721), 1,
      anon_sym_LT,
    ACTIONS(719), 3,
      sym_Comment,
      sym__S,
      anon_sym_LT_QMARK,
  [3573] = 1,
    ACTIONS(328), 4,
      sym_Comment,
      ts_builtin_sym_end,
      sym__S,
      anon_sym_LT_QMARK,
  [3580] = 4,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(723), 1,
      sym_Name,
    ACTIONS(725), 1,
      sym__S,
    STATE(116), 1,
      sym_PEReference,
  [3593] = 3,
    ACTIONS(727), 1,
      sym__S,
    ACTIONS(729), 1,
      anon_sym_QMARK_GT,
    STATE(263), 1,
      aux_sym_StyleSheetPI_repeat1,
  [3603] = 2,
    ACTIONS(733), 1,
      anon_sym_STAR,
    ACTIONS(731), 2,
      anon_sym_GT,
      sym__S,
  [3611] = 1,
    ACTIONS(735), 3,
      anon_sym_GT,
      sym__S,
      anon_sym_LBRACK,
  [3617] = 3,
    ACTIONS(737), 1,
      anon_sym_QMARK_GT,
    ACTIONS(739), 1,
      anon_sym_encoding,
    ACTIONS(741), 1,
      anon_sym_standalone,
  [3627] = 3,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(743), 1,
      anon_sym_RPAREN,
    STATE(236), 1,
      sym_PEReference,
  [3637] = 3,
    ACTIONS(745), 1,
      sym__S,
    ACTIONS(747), 1,
      anon_sym_EQ,
    STATE(376), 1,
      sym__Eq,
  [3647] = 3,
    ACTIONS(749), 1,
      sym__S,
    ACTIONS(751), 1,
      anon_sym_QMARK_GT,
    STATE(218), 1,
      aux_sym_StyleSheetPI_repeat1,
  [3657] = 1,
    ACTIONS(655), 3,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym__S,
  [3663] = 3,
    ACTIONS(753), 1,
      anon_sym_DQUOTE,
    ACTIONS(755), 1,
      anon_sym_SQUOTE,
    STATE(335), 1,
      sym_PseudoAttValue,
  [3673] = 3,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(757), 1,
      sym_Name,
    STATE(117), 1,
      sym_PEReference,
  [3683] = 3,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(759), 1,
      sym_Name,
    STATE(208), 1,
      sym_PEReference,
  [3693] = 3,
    ACTIONS(316), 1,
      anon_sym_DQUOTE,
    ACTIONS(318), 1,
      anon_sym_SQUOTE,
    STATE(342), 1,
      sym_AttValue,
  [3703] = 3,
    ACTIONS(761), 1,
      anon_sym_GT,
    ACTIONS(763), 1,
      sym__S,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
  [3713] = 1,
    ACTIONS(767), 3,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym__S,
  [3719] = 3,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(769), 1,
      sym_Name,
    STATE(415), 1,
      sym_PEReference,
  [3729] = 1,
    ACTIONS(771), 3,
      anon_sym_GT,
      sym__S,
      anon_sym_LBRACK,
  [3735] = 3,
    ACTIONS(773), 1,
      sym_Name,
    ACTIONS(775), 1,
      anon_sym_PERCENT,
    STATE(420), 1,
      sym_PEReference,
  [3745] = 1,
    ACTIONS(777), 3,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym__S,
  [3751] = 1,
    ACTIONS(528), 3,
      anon_sym_RPAREN,
      anon_sym_PERCENT,
      sym__S,
  [3757] = 3,
    ACTIONS(737), 1,
      anon_sym_QMARK_GT,
    ACTIONS(779), 1,
      sym__S,
    STATE(371), 1,
      sym__SDDecl,
  [3767] = 3,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(396), 1,
      anon_sym_RPAREN,
    STATE(236), 1,
      sym_PEReference,
  [3777] = 3,
    ACTIONS(685), 1,
      anon_sym_xml_DASHstylesheet,
    ACTIONS(687), 1,
      anon_sym_xml_DASHmodel,
    ACTIONS(689), 1,
      sym_PITarget,
  [3787] = 3,
    ACTIONS(745), 1,
      sym__S,
    ACTIONS(747), 1,
      anon_sym_EQ,
    STATE(246), 1,
      sym__Eq,
  [3797] = 3,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(576), 1,
      sym_Name,
    STATE(179), 1,
      sym_PEReference,
  [3807] = 2,
    ACTIONS(783), 1,
      anon_sym_STAR,
    ACTIONS(781), 2,
      anon_sym_GT,
      sym__S,
  [3815] = 3,
    ACTIONS(785), 1,
      sym_Name,
    ACTIONS(787), 1,
      anon_sym_QMARK_GT,
    STATE(280), 1,
      sym_PseudoAtt,
  [3825] = 3,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(789), 1,
      sym_Name,
    STATE(324), 1,
      sym_PEReference,
  [3835] = 3,
    ACTIONS(745), 1,
      sym__S,
    ACTIONS(747), 1,
      anon_sym_EQ,
    STATE(226), 1,
      sym__Eq,
  [3845] = 3,
    ACTIONS(791), 1,
      anon_sym_DQUOTE,
    ACTIONS(793), 1,
      anon_sym_SQUOTE,
    STATE(254), 1,
      sym_AttValue,
  [3855] = 3,
    ACTIONS(795), 1,
      anon_sym_GT,
    ACTIONS(797), 1,
      sym__S,
    ACTIONS(799), 1,
      anon_sym_LBRACK,
  [3865] = 3,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(570), 1,
      sym_Name,
    STATE(347), 1,
      sym_PEReference,
  [3875] = 3,
    ACTIONS(801), 1,
      anon_sym_DQUOTE,
    ACTIONS(803), 1,
      anon_sym_SQUOTE,
    STATE(291), 1,
      sym_PubidLiteral,
  [3885] = 3,
    ACTIONS(787), 1,
      anon_sym_QMARK_GT,
    ACTIONS(805), 1,
      sym__S,
    STATE(263), 1,
      aux_sym_StyleSheetPI_repeat1,
  [3895] = 3,
    ACTIONS(729), 1,
      anon_sym_QMARK_GT,
    ACTIONS(785), 1,
      sym_Name,
    STATE(280), 1,
      sym_PseudoAtt,
  [3905] = 3,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(807), 1,
      sym_Name,
    STATE(188), 1,
      sym_PEReference,
  [3915] = 2,
    ACTIONS(811), 1,
      anon_sym_STAR,
    ACTIONS(809), 2,
      anon_sym_GT,
      sym__S,
  [3923] = 1,
    ACTIONS(813), 3,
      anon_sym_GT,
      sym__S,
      anon_sym_SLASH_GT,
  [3929] = 3,
    ACTIONS(801), 1,
      anon_sym_DQUOTE,
    ACTIONS(803), 1,
      anon_sym_SQUOTE,
    STATE(292), 1,
      sym_PubidLiteral,
  [3939] = 1,
    ACTIONS(815), 3,
      anon_sym_GT,
      sym__S,
      anon_sym_SLASH_GT,
  [3945] = 2,
    ACTIONS(819), 1,
      anon_sym_STAR,
    ACTIONS(817), 2,
      anon_sym_GT,
      sym__S,
  [3953] = 3,
    ACTIONS(745), 1,
      sym__S,
    ACTIONS(747), 1,
      anon_sym_EQ,
    STATE(356), 1,
      sym__Eq,
  [3963] = 1,
    ACTIONS(821), 3,
      anon_sym_GT,
      sym__S,
      anon_sym_SLASH_GT,
  [3969] = 3,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    STATE(220), 1,
      sym_SystemLiteral,
  [3979] = 3,
    ACTIONS(827), 1,
      anon_sym_GT,
    ACTIONS(829), 1,
      sym__S,
    STATE(375), 1,
      sym_NDataDecl,
  [3989] = 3,
    ACTIONS(785), 1,
      sym_Name,
    ACTIONS(831), 1,
      anon_sym_QMARK_GT,
    STATE(280), 1,
      sym_PseudoAtt,
  [3999] = 3,
    ACTIONS(833), 1,
      sym__S,
    ACTIONS(836), 1,
      anon_sym_QMARK_GT,
    STATE(263), 1,
      aux_sym_StyleSheetPI_repeat1,
  [4009] = 2,
    ACTIONS(840), 1,
      sym__S,
    ACTIONS(838), 2,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [4017] = 3,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    STATE(233), 1,
      sym_SystemLiteral,
  [4027] = 3,
    ACTIONS(801), 1,
      anon_sym_DQUOTE,
    ACTIONS(803), 1,
      anon_sym_SQUOTE,
    STATE(441), 1,
      sym_PubidLiteral,
  [4037] = 3,
    ACTIONS(842), 1,
      sym__S,
    ACTIONS(844), 1,
      anon_sym_QMARK_GT,
    STATE(250), 1,
      aux_sym_StyleSheetPI_repeat1,
  [4047] = 2,
    ACTIONS(848), 1,
      sym__S,
    ACTIONS(846), 2,
      anon_sym_RPAREN,
      anon_sym_PERCENT,
  [4055] = 3,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(538), 1,
      anon_sym_RPAREN,
    STATE(236), 1,
      sym_PEReference,
  [4065] = 1,
    ACTIONS(665), 3,
      anon_sym_GT,
      sym__S,
      anon_sym_SLASH_GT,
  [4071] = 3,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    ACTIONS(850), 1,
      sym_Name,
    STATE(411), 1,
      sym_PEReference,
  [4081] = 3,
    ACTIONS(745), 1,
      sym__S,
    ACTIONS(747), 1,
      anon_sym_EQ,
    STATE(327), 1,
      sym__Eq,
  [4091] = 3,
    ACTIONS(785), 1,
      sym_Name,
    ACTIONS(852), 1,
      anon_sym_QMARK_GT,
    STATE(280), 1,
      sym_PseudoAtt,
  [4101] = 1,
    ACTIONS(854), 3,
      anon_sym_GT,
      sym__S,
      anon_sym_LBRACK,
  [4107] = 2,
    ACTIONS(858), 1,
      sym__S,
    ACTIONS(856), 2,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [4115] = 1,
    ACTIONS(860), 2,
      anon_sym_PERCENT,
      sym__S,
  [4120] = 1,
    ACTIONS(862), 2,
      anon_sym_yes,
      anon_sym_no,
  [4125] = 1,
    ACTIONS(864), 2,
      anon_sym_yes,
      anon_sym_no,
  [4130] = 1,
    ACTIONS(866), 2,
      sym__S,
      anon_sym_QMARK_GT,
  [4135] = 1,
    ACTIONS(836), 2,
      sym__S,
      anon_sym_QMARK_GT,
  [4140] = 2,
    ACTIONS(785), 1,
      sym_Name,
    STATE(280), 1,
      sym_PseudoAtt,
  [4147] = 2,
    ACTIONS(23), 1,
      anon_sym_LT_SLASH,
    STATE(206), 1,
      sym_ETag,
  [4154] = 2,
    ACTIONS(868), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(870), 1,
      sym_CData,
  [4161] = 2,
    ACTIONS(872), 1,
      sym__S,
    ACTIONS(874), 1,
      anon_sym_QMARK_GT,
  [4168] = 1,
    ACTIONS(876), 2,
      anon_sym_PERCENT,
      sym__S,
  [4173] = 2,
    ACTIONS(878), 1,
      sym__S,
    ACTIONS(880), 1,
      sym_Nmtoken,
  [4180] = 1,
    ACTIONS(882), 2,
      anon_sym_GT,
      sym__S,
  [4185] = 1,
    ACTIONS(884), 2,
      anon_sym_GT,
      sym__S,
  [4190] = 2,
    ACTIONS(886), 1,
      anon_sym_GT,
    ACTIONS(888), 1,
      sym__S,
  [4197] = 1,
    ACTIONS(890), 2,
      anon_sym_GT,
      sym__S,
  [4202] = 2,
    ACTIONS(892), 1,
      anon_sym_GT,
    ACTIONS(894), 1,
      sym__S,
  [4209] = 1,
    ACTIONS(892), 2,
      anon_sym_GT,
      sym__S,
  [4214] = 1,
    ACTIONS(896), 2,
      anon_sym_PERCENT,
      sym__S,
  [4219] = 2,
    ACTIONS(898), 1,
      anon_sym_GT,
    ACTIONS(900), 1,
      sym__S,
  [4226] = 1,
    ACTIONS(902), 2,
      anon_sym_GT,
      sym__S,
  [4231] = 1,
    ACTIONS(904), 2,
      anon_sym_PERCENT,
      sym__S,
  [4236] = 2,
    ACTIONS(906), 1,
      anon_sym_GT,
    ACTIONS(908), 1,
      sym__S,
  [4243] = 2,
    ACTIONS(910), 1,
      sym__S,
    STATE(190), 1,
      sym__VersionInfo,
  [4250] = 1,
    ACTIONS(817), 2,
      anon_sym_GT,
      sym__S,
  [4255] = 2,
    ACTIONS(642), 1,
      sym_Name,
    STATE(270), 1,
      sym_Attribute,
  [4262] = 1,
    ACTIONS(588), 2,
      anon_sym_RPAREN,
      anon_sym_PERCENT,
  [4267] = 1,
    ACTIONS(912), 2,
      anon_sym_PERCENT,
      sym__S,
  [4272] = 1,
    ACTIONS(914), 2,
      sym__S,
      anon_sym_QMARK_GT,
  [4277] = 1,
    ACTIONS(916), 2,
      sym__S,
      anon_sym_QMARK_GT,
  [4282] = 2,
    ACTIONS(918), 1,
      anon_sym_GT,
    ACTIONS(920), 1,
      sym__S,
  [4289] = 2,
    ACTIONS(761), 1,
      anon_sym_GT,
    ACTIONS(922), 1,
      sym__S,
  [4296] = 1,
    ACTIONS(924), 2,
      anon_sym_PERCENT,
      sym__S,
  [4301] = 1,
    ACTIONS(926), 2,
      anon_sym_PERCENT,
      sym__S,
  [4306] = 1,
    ACTIONS(928), 2,
      anon_sym_PERCENT,
      sym__S,
  [4311] = 1,
    ACTIONS(809), 2,
      anon_sym_GT,
      sym__S,
  [4316] = 2,
    ACTIONS(930), 1,
      anon_sym_GT,
    ACTIONS(932), 1,
      sym__S,
  [4323] = 1,
    ACTIONS(856), 2,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [4328] = 2,
    ACTIONS(934), 1,
      sym_Name,
    ACTIONS(936), 1,
      sym__S,
  [4335] = 1,
    ACTIONS(516), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
  [4340] = 2,
    ACTIONS(132), 1,
      anon_sym_PERCENT,
    STATE(236), 1,
      sym_PEReference,
  [4347] = 1,
    ACTIONS(938), 2,
      sym__S,
      anon_sym_QMARK_GT,
  [4352] = 2,
    ACTIONS(940), 1,
      sym__S,
    ACTIONS(942), 1,
      sym_Nmtoken,
  [4359] = 1,
    ACTIONS(944), 2,
      anon_sym_GT,
      sym__S,
  [4364] = 2,
    ACTIONS(562), 1,
      anon_sym_RPAREN,
    ACTIONS(946), 1,
      anon_sym_PIPE,
  [4371] = 1,
    ACTIONS(948), 2,
      sym__S,
      anon_sym_QMARK_GT,
  [4376] = 1,
    ACTIONS(950), 2,
      anon_sym_GT,
      sym__S,
  [4381] = 1,
    ACTIONS(952), 2,
      anon_sym_GT,
      sym__S,
  [4386] = 1,
    ACTIONS(954), 2,
      anon_sym_PERCENT,
      sym__S,
  [4391] = 1,
    ACTIONS(956), 2,
      anon_sym_GT,
      sym__S,
  [4396] = 1,
    ACTIONS(958), 2,
      anon_sym_GT,
      sym__S,
  [4401] = 1,
    ACTIONS(731), 2,
      anon_sym_GT,
      sym__S,
  [4406] = 2,
    ACTIONS(960), 1,
      anon_sym_DQUOTE,
    ACTIONS(962), 1,
      anon_sym_SQUOTE,
  [4413] = 2,
    ACTIONS(964), 1,
      sym__S,
    ACTIONS(966), 1,
      anon_sym_QMARK_GT,
  [4420] = 2,
    ACTIONS(968), 1,
      anon_sym_GT,
    ACTIONS(970), 1,
      sym__S,
  [4427] = 1,
    ACTIONS(972), 2,
      anon_sym_GT,
      sym__S,
  [4432] = 2,
    ACTIONS(648), 1,
      anon_sym_RPAREN,
    ACTIONS(946), 1,
      anon_sym_PIPE,
  [4439] = 1,
    ACTIONS(974), 2,
      anon_sym_PERCENT,
      sym__S,
  [4444] = 2,
    ACTIONS(976), 1,
      sym__S,
    ACTIONS(978), 1,
      sym_Nmtoken,
  [4451] = 1,
    ACTIONS(980), 2,
      sym_CData,
      anon_sym_RBRACK_RBRACK_GT,
  [4456] = 1,
    ACTIONS(982), 2,
      sym__S,
      anon_sym_QMARK_GT,
  [4461] = 1,
    ACTIONS(984), 2,
      anon_sym_GT,
      sym__S,
  [4466] = 1,
    ACTIONS(986), 2,
      anon_sym_GT,
      sym__S,
  [4471] = 2,
    ACTIONS(946), 1,
      anon_sym_PIPE,
    ACTIONS(988), 1,
      anon_sym_RPAREN,
  [4478] = 1,
    ACTIONS(990), 2,
      anon_sym_GT,
      sym__S,
  [4483] = 2,
    ACTIONS(992), 1,
      anon_sym_RPAREN,
    ACTIONS(994), 1,
      sym__S,
  [4490] = 2,
    ACTIONS(996), 1,
      anon_sym_GT,
    ACTIONS(998), 1,
      sym__S,
  [4497] = 1,
    ACTIONS(1000), 2,
      anon_sym_GT,
      sym__S,
  [4502] = 1,
    ACTIONS(1002), 2,
      anon_sym_GT,
      sym__S,
  [4507] = 1,
    ACTIONS(1004), 2,
      anon_sym_GT,
      sym__S,
  [4512] = 2,
    ACTIONS(1006), 1,
      anon_sym_RPAREN,
    ACTIONS(1008), 1,
      sym__S,
  [4519] = 1,
    ACTIONS(1010), 2,
      anon_sym_PERCENT,
      sym__S,
  [4524] = 2,
    ACTIONS(599), 1,
      anon_sym_GT,
    ACTIONS(1012), 1,
      sym__S,
  [4531] = 1,
    ACTIONS(1015), 2,
      anon_sym_GT,
      sym__S,
  [4536] = 1,
    ACTIONS(1017), 2,
      anon_sym_GT,
      sym__S,
  [4541] = 2,
    ACTIONS(1019), 1,
      anon_sym_RPAREN,
    ACTIONS(1021), 1,
      sym__S,
  [4548] = 1,
    ACTIONS(1023), 2,
      anon_sym_GT,
      sym__S,
  [4553] = 1,
    ACTIONS(1025), 2,
      anon_sym_GT,
      sym__S,
  [4558] = 2,
    ACTIONS(1027), 1,
      anon_sym_GT,
    ACTIONS(1029), 1,
      sym__S,
  [4565] = 2,
    ACTIONS(1031), 1,
      anon_sym_GT,
    ACTIONS(1033), 1,
      sym__S,
  [4572] = 2,
    ACTIONS(827), 1,
      anon_sym_GT,
    ACTIONS(1035), 1,
      sym__S,
  [4579] = 2,
    ACTIONS(1037), 1,
      anon_sym_DQUOTE,
    ACTIONS(1039), 1,
      anon_sym_SQUOTE,
  [4586] = 2,
    ACTIONS(1031), 1,
      anon_sym_GT,
    ACTIONS(1041), 1,
      anon_sym_LBRACK,
  [4593] = 1,
    ACTIONS(815), 2,
      anon_sym_GT,
      sym__S,
  [4598] = 1,
    ACTIONS(821), 2,
      anon_sym_GT,
      sym__S,
  [4603] = 1,
    ACTIONS(336), 2,
      anon_sym_PERCENT,
      sym__S,
  [4608] = 1,
    ACTIONS(1043), 2,
      anon_sym_PERCENT,
      sym__S,
  [4613] = 1,
    ACTIONS(356), 2,
      anon_sym_PERCENT,
      sym__S,
  [4618] = 1,
    ACTIONS(1045), 2,
      anon_sym_GT,
      sym__S,
  [4623] = 2,
    ACTIONS(737), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1047), 1,
      sym__S,
  [4630] = 1,
    ACTIONS(1049), 2,
      anon_sym_PERCENT,
      sym__S,
  [4635] = 1,
    ACTIONS(1051), 2,
      anon_sym_PERCENT,
      sym__S,
  [4640] = 2,
    ACTIONS(741), 1,
      anon_sym_standalone,
    ACTIONS(1053), 1,
      anon_sym_QMARK_GT,
  [4647] = 2,
    ACTIONS(1055), 1,
      sym__S,
    ACTIONS(1057), 1,
      anon_sym_QMARK_GT,
  [4654] = 1,
    ACTIONS(1059), 2,
      anon_sym_GT,
      sym__S,
  [4659] = 2,
    ACTIONS(29), 1,
      anon_sym_LT_SLASH,
    STATE(72), 1,
      sym_ETag,
  [4666] = 2,
    ACTIONS(1053), 1,
      anon_sym_QMARK_GT,
    ACTIONS(1061), 1,
      sym__S,
  [4673] = 1,
    ACTIONS(1063), 2,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
  [4678] = 2,
    ACTIONS(1065), 1,
      anon_sym_GT,
    ACTIONS(1067), 1,
      sym__S,
  [4685] = 2,
    ACTIONS(1069), 1,
      anon_sym_GT,
    ACTIONS(1071), 1,
      anon_sym_NDATA,
  [4692] = 2,
    ACTIONS(1069), 1,
      anon_sym_GT,
    ACTIONS(1073), 1,
      sym__S,
  [4699] = 2,
    ACTIONS(1075), 1,
      anon_sym_DQUOTE,
    ACTIONS(1077), 1,
      anon_sym_SQUOTE,
  [4706] = 1,
    ACTIONS(1079), 1,
      aux_sym_CharRef_token2,
  [4710] = 1,
    ACTIONS(1081), 1,
      anon_sym_DQUOTE,
  [4714] = 1,
    ACTIONS(1083), 1,
      sym_Nmtoken,
  [4718] = 1,
    ACTIONS(978), 1,
      sym_Nmtoken,
  [4722] = 1,
    ACTIONS(1085), 1,
      anon_sym_QMARK_GT,
  [4726] = 1,
    ACTIONS(1081), 1,
      anon_sym_SQUOTE,
  [4730] = 1,
    ACTIONS(1087), 1,
      anon_sym_GT,
  [4734] = 1,
    ACTIONS(1089), 1,
      anon_sym_LPAREN,
  [4738] = 1,
    ACTIONS(1091), 1,
      sym_Name,
  [4742] = 1,
    ACTIONS(1093), 1,
      anon_sym_DQUOTE,
  [4746] = 1,
    ACTIONS(1095), 1,
      aux_sym_SystemLiteral_token1,
  [4750] = 1,
    ACTIONS(1097), 1,
      anon_sym_STAR,
  [4754] = 1,
    ACTIONS(1099), 1,
      anon_sym_version,
  [4758] = 1,
    ACTIONS(1101), 1,
      anon_sym_GT,
  [4762] = 1,
    ACTIONS(1093), 1,
      anon_sym_SQUOTE,
  [4766] = 1,
    ACTIONS(1103), 1,
      anon_sym_GT,
  [4770] = 1,
    ACTIONS(1105), 1,
      sym_Nmtoken,
  [4774] = 1,
    ACTIONS(946), 1,
      anon_sym_PIPE,
  [4778] = 1,
    ACTIONS(1107), 1,
      aux_sym_SystemLiteral_token2,
  [4782] = 1,
    ACTIONS(1109), 1,
      aux_sym_CharRef_token1,
  [4786] = 1,
    ACTIONS(1111), 1,
      anon_sym_PIPE,
  [4790] = 1,
    ACTIONS(1113), 1,
      sym__S,
  [4794] = 1,
    ACTIONS(1053), 1,
      anon_sym_QMARK_GT,
  [4798] = 1,
    ACTIONS(906), 1,
      anon_sym_GT,
  [4802] = 1,
    ACTIONS(930), 1,
      anon_sym_GT,
  [4806] = 1,
    ACTIONS(811), 1,
      anon_sym_STAR,
  [4810] = 1,
    ACTIONS(1115), 1,
      anon_sym_QMARK_GT,
  [4814] = 1,
    ACTIONS(1117), 1,
      anon_sym_RBRACK_RBRACK_GT,
  [4818] = 1,
    ACTIONS(504), 1,
      anon_sym_PIPE,
  [4822] = 1,
    ACTIONS(1119), 1,
      sym__S,
  [4826] = 1,
    ACTIONS(1121), 1,
      sym__S,
  [4830] = 1,
    ACTIONS(1123), 1,
      sym__pi_content,
  [4834] = 1,
    ACTIONS(1006), 1,
      anon_sym_RPAREN,
  [4838] = 1,
    ACTIONS(1109), 1,
      aux_sym_CharRef_token2,
  [4842] = 1,
    ACTIONS(1125), 1,
      sym__S,
  [4846] = 1,
    ACTIONS(1019), 1,
      anon_sym_RPAREN,
  [4850] = 1,
    ACTIONS(1127), 1,
      sym_Name,
  [4854] = 1,
    ACTIONS(1129), 1,
      sym_PITarget,
  [4858] = 1,
    ACTIONS(1131), 1,
      sym__S,
  [4862] = 1,
    ACTIONS(1133), 1,
      anon_sym_RPAREN,
  [4866] = 1,
    ACTIONS(1135), 1,
      aux_sym_PubidLiteral_token1,
  [4870] = 1,
    ACTIONS(1137), 1,
      sym__S,
  [4874] = 1,
    ACTIONS(1139), 1,
      sym__S,
  [4878] = 1,
    ACTIONS(1141), 1,
      sym__S,
  [4882] = 1,
    ACTIONS(1143), 1,
      sym__S,
  [4886] = 1,
    ACTIONS(1145), 1,
      anon_sym_EQ,
  [4890] = 1,
    ACTIONS(1147), 1,
      sym_VersionNum,
  [4894] = 1,
    ACTIONS(819), 1,
      anon_sym_STAR,
  [4898] = 1,
    ACTIONS(1149), 1,
      sym__end_tag_name,
  [4902] = 1,
    ACTIONS(1151), 1,
      anon_sym_DOCTYPE,
  [4906] = 1,
    ACTIONS(1153), 1,
      sym__S,
  [4910] = 1,
    ACTIONS(1155), 1,
      anon_sym_CDATA,
  [4914] = 1,
    ACTIONS(1157), 1,
      sym__S,
  [4918] = 1,
    ACTIONS(1159), 1,
      sym__S,
  [4922] = 1,
    ACTIONS(1161), 1,
      sym__S,
  [4926] = 1,
    ACTIONS(1163), 1,
      anon_sym_SEMI,
  [4930] = 1,
    ACTIONS(1165), 1,
      sym__S,
  [4934] = 1,
    ACTIONS(1167), 1,
      sym__S,
  [4938] = 1,
    ACTIONS(1169), 1,
      anon_sym_SEMI,
  [4942] = 1,
    ACTIONS(1171), 1,
      aux_sym_PubidLiteral_token2,
  [4946] = 1,
    ACTIONS(1173), 1,
      sym_EncName,
  [4950] = 1,
    ACTIONS(1175), 1,
      sym_VersionNum,
  [4954] = 1,
    ACTIONS(1177), 1,
      anon_sym_SEMI,
  [4958] = 1,
    ACTIONS(1179), 1,
      sym__S,
  [4962] = 1,
    ACTIONS(894), 1,
      sym__S,
  [4966] = 1,
    ACTIONS(1031), 1,
      anon_sym_GT,
  [4970] = 1,
    ACTIONS(1181), 1,
      sym_Name,
  [4974] = 1,
    ACTIONS(1183), 1,
      sym__start_tag_name,
  [4978] = 1,
    ACTIONS(1185), 1,
      anon_sym_DQUOTE,
  [4982] = 1,
    ACTIONS(1187), 1,
      anon_sym_GT,
  [4986] = 1,
    ACTIONS(1185), 1,
      anon_sym_SQUOTE,
  [4990] = 1,
    ACTIONS(1189), 1,
      anon_sym_DQUOTE,
  [4994] = 1,
    ACTIONS(1189), 1,
      anon_sym_SQUOTE,
  [4998] = 1,
    ACTIONS(733), 1,
      anon_sym_STAR,
  [5002] = 1,
    ACTIONS(1191), 1,
      ts_builtin_sym_end,
  [5006] = 1,
    ACTIONS(1193), 1,
      sym__S,
  [5010] = 1,
    ACTIONS(1195), 1,
      anon_sym_SEMI,
  [5014] = 1,
    ACTIONS(1197), 1,
      anon_sym_SEMI,
  [5018] = 1,
    ACTIONS(1199), 1,
      anon_sym_LBRACK,
  [5022] = 1,
    ACTIONS(1201), 1,
      anon_sym_QMARK_GT,
  [5026] = 1,
    ACTIONS(1203), 1,
      anon_sym_DQUOTE,
  [5030] = 1,
    ACTIONS(1205), 1,
      anon_sym_GT,
  [5034] = 1,
    ACTIONS(1069), 1,
      anon_sym_GT,
  [5038] = 1,
    ACTIONS(968), 1,
      anon_sym_GT,
  [5042] = 1,
    ACTIONS(1207), 1,
      sym_Name,
  [5046] = 1,
    ACTIONS(1203), 1,
      anon_sym_SQUOTE,
  [5050] = 1,
    ACTIONS(1209), 1,
      anon_sym_SEMI,
  [5054] = 1,
    ACTIONS(1211), 1,
      anon_sym_GT,
  [5058] = 1,
    ACTIONS(1213), 1,
      anon_sym_SEMI,
  [5062] = 1,
    ACTIONS(1215), 1,
      anon_sym_SEMI,
  [5066] = 1,
    ACTIONS(1217), 1,
      anon_sym_QMARK_GT,
  [5070] = 1,
    ACTIONS(1219), 1,
      anon_sym_SEMI,
  [5074] = 1,
    ACTIONS(1221), 1,
      anon_sym_SEMI,
  [5078] = 1,
    ACTIONS(1223), 1,
      anon_sym_SEMI,
  [5082] = 1,
    ACTIONS(1225), 1,
      anon_sym_SEMI,
  [5086] = 1,
    ACTIONS(1227), 1,
      anon_sym_SEMI,
  [5090] = 1,
    ACTIONS(1229), 1,
      anon_sym_SEMI,
  [5094] = 1,
    ACTIONS(1231), 1,
      sym__start_tag_name,
  [5098] = 1,
    ACTIONS(1233), 1,
      sym_Name,
  [5102] = 1,
    ACTIONS(1079), 1,
      aux_sym_CharRef_token1,
  [5106] = 1,
    ACTIONS(1235), 1,
      sym_EncName,
  [5110] = 1,
    ACTIONS(1237), 1,
      sym_PITarget,
  [5114] = 1,
    ACTIONS(1239), 1,
      sym__end_tag_name,
  [5118] = 1,
    ACTIONS(1241), 1,
      sym__pi_content,
  [5122] = 1,
    ACTIONS(934), 1,
      sym_Name,
  [5126] = 1,
    ACTIONS(1243), 1,
      sym_Name,
  [5130] = 1,
    ACTIONS(1245), 1,
      aux_sym_CharRef_token1,
  [5134] = 1,
    ACTIONS(1245), 1,
      aux_sym_CharRef_token2,
  [5138] = 1,
    ACTIONS(1247), 1,
      sym__pi_content,
  [5142] = 1,
    ACTIONS(1249), 1,
      sym_Name,
  [5146] = 1,
    ACTIONS(1251), 1,
      sym_Name,
  [5150] = 1,
    ACTIONS(1253), 1,
      aux_sym_CharRef_token1,
  [5154] = 1,
    ACTIONS(1253), 1,
      aux_sym_CharRef_token2,
  [5158] = 1,
    ACTIONS(1255), 1,
      sym_Name,
  [5162] = 1,
    ACTIONS(1257), 1,
      sym_Name,
  [5166] = 1,
    ACTIONS(1259), 1,
      aux_sym_CharRef_token1,
  [5170] = 1,
    ACTIONS(1259), 1,
      aux_sym_CharRef_token2,
  [5174] = 1,
    ACTIONS(1261), 1,
      anon_sym_GT,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2)] = 0,
  [SMALL_STATE(3)] = 52,
  [SMALL_STATE(4)] = 104,
  [SMALL_STATE(5)] = 150,
  [SMALL_STATE(6)] = 196,
  [SMALL_STATE(7)] = 235,
  [SMALL_STATE(8)] = 268,
  [SMALL_STATE(9)] = 301,
  [SMALL_STATE(10)] = 334,
  [SMALL_STATE(11)] = 367,
  [SMALL_STATE(12)] = 400,
  [SMALL_STATE(13)] = 433,
  [SMALL_STATE(14)] = 466,
  [SMALL_STATE(15)] = 499,
  [SMALL_STATE(16)] = 532,
  [SMALL_STATE(17)] = 559,
  [SMALL_STATE(18)] = 586,
  [SMALL_STATE(19)] = 613,
  [SMALL_STATE(20)] = 640,
  [SMALL_STATE(21)] = 662,
  [SMALL_STATE(22)] = 690,
  [SMALL_STATE(23)] = 718,
  [SMALL_STATE(24)] = 740,
  [SMALL_STATE(25)] = 768,
  [SMALL_STATE(26)] = 796,
  [SMALL_STATE(27)] = 824,
  [SMALL_STATE(28)] = 848,
  [SMALL_STATE(29)] = 872,
  [SMALL_STATE(30)] = 900,
  [SMALL_STATE(31)] = 928,
  [SMALL_STATE(32)] = 952,
  [SMALL_STATE(33)] = 974,
  [SMALL_STATE(34)] = 998,
  [SMALL_STATE(35)] = 1011,
  [SMALL_STATE(36)] = 1025,
  [SMALL_STATE(37)] = 1043,
  [SMALL_STATE(38)] = 1061,
  [SMALL_STATE(39)] = 1079,
  [SMALL_STATE(40)] = 1097,
  [SMALL_STATE(41)] = 1121,
  [SMALL_STATE(42)] = 1145,
  [SMALL_STATE(43)] = 1169,
  [SMALL_STATE(44)] = 1193,
  [SMALL_STATE(45)] = 1211,
  [SMALL_STATE(46)] = 1229,
  [SMALL_STATE(47)] = 1243,
  [SMALL_STATE(48)] = 1267,
  [SMALL_STATE(49)] = 1291,
  [SMALL_STATE(50)] = 1309,
  [SMALL_STATE(51)] = 1327,
  [SMALL_STATE(52)] = 1349,
  [SMALL_STATE(53)] = 1363,
  [SMALL_STATE(54)] = 1381,
  [SMALL_STATE(55)] = 1395,
  [SMALL_STATE(56)] = 1409,
  [SMALL_STATE(57)] = 1423,
  [SMALL_STATE(58)] = 1441,
  [SMALL_STATE(59)] = 1455,
  [SMALL_STATE(60)] = 1473,
  [SMALL_STATE(61)] = 1485,
  [SMALL_STATE(62)] = 1503,
  [SMALL_STATE(63)] = 1517,
  [SMALL_STATE(64)] = 1529,
  [SMALL_STATE(65)] = 1553,
  [SMALL_STATE(66)] = 1565,
  [SMALL_STATE(67)] = 1577,
  [SMALL_STATE(68)] = 1589,
  [SMALL_STATE(69)] = 1603,
  [SMALL_STATE(70)] = 1617,
  [SMALL_STATE(71)] = 1631,
  [SMALL_STATE(72)] = 1645,
  [SMALL_STATE(73)] = 1659,
  [SMALL_STATE(74)] = 1683,
  [SMALL_STATE(75)] = 1697,
  [SMALL_STATE(76)] = 1711,
  [SMALL_STATE(77)] = 1725,
  [SMALL_STATE(78)] = 1739,
  [SMALL_STATE(79)] = 1763,
  [SMALL_STATE(80)] = 1787,
  [SMALL_STATE(81)] = 1811,
  [SMALL_STATE(82)] = 1835,
  [SMALL_STATE(83)] = 1859,
  [SMALL_STATE(84)] = 1883,
  [SMALL_STATE(85)] = 1907,
  [SMALL_STATE(86)] = 1921,
  [SMALL_STATE(87)] = 1942,
  [SMALL_STATE(88)] = 1963,
  [SMALL_STATE(89)] = 1976,
  [SMALL_STATE(90)] = 1997,
  [SMALL_STATE(91)] = 2018,
  [SMALL_STATE(92)] = 2043,
  [SMALL_STATE(93)] = 2065,
  [SMALL_STATE(94)] = 2085,
  [SMALL_STATE(95)] = 2107,
  [SMALL_STATE(96)] = 2129,
  [SMALL_STATE(97)] = 2151,
  [SMALL_STATE(98)] = 2171,
  [SMALL_STATE(99)] = 2193,
  [SMALL_STATE(100)] = 2213,
  [SMALL_STATE(101)] = 2224,
  [SMALL_STATE(102)] = 2235,
  [SMALL_STATE(103)] = 2246,
  [SMALL_STATE(104)] = 2257,
  [SMALL_STATE(105)] = 2274,
  [SMALL_STATE(106)] = 2293,
  [SMALL_STATE(107)] = 2304,
  [SMALL_STATE(108)] = 2321,
  [SMALL_STATE(109)] = 2338,
  [SMALL_STATE(110)] = 2349,
  [SMALL_STATE(111)] = 2360,
  [SMALL_STATE(112)] = 2371,
  [SMALL_STATE(113)] = 2382,
  [SMALL_STATE(114)] = 2399,
  [SMALL_STATE(115)] = 2414,
  [SMALL_STATE(116)] = 2431,
  [SMALL_STATE(117)] = 2450,
  [SMALL_STATE(118)] = 2469,
  [SMALL_STATE(119)] = 2488,
  [SMALL_STATE(120)] = 2507,
  [SMALL_STATE(121)] = 2518,
  [SMALL_STATE(122)] = 2529,
  [SMALL_STATE(123)] = 2540,
  [SMALL_STATE(124)] = 2551,
  [SMALL_STATE(125)] = 2562,
  [SMALL_STATE(126)] = 2573,
  [SMALL_STATE(127)] = 2584,
  [SMALL_STATE(128)] = 2598,
  [SMALL_STATE(129)] = 2606,
  [SMALL_STATE(130)] = 2616,
  [SMALL_STATE(131)] = 2626,
  [SMALL_STATE(132)] = 2642,
  [SMALL_STATE(133)] = 2658,
  [SMALL_STATE(134)] = 2666,
  [SMALL_STATE(135)] = 2676,
  [SMALL_STATE(136)] = 2690,
  [SMALL_STATE(137)] = 2704,
  [SMALL_STATE(138)] = 2720,
  [SMALL_STATE(139)] = 2736,
  [SMALL_STATE(140)] = 2750,
  [SMALL_STATE(141)] = 2764,
  [SMALL_STATE(142)] = 2774,
  [SMALL_STATE(143)] = 2782,
  [SMALL_STATE(144)] = 2796,
  [SMALL_STATE(145)] = 2812,
  [SMALL_STATE(146)] = 2826,
  [SMALL_STATE(147)] = 2840,
  [SMALL_STATE(148)] = 2848,
  [SMALL_STATE(149)] = 2856,
  [SMALL_STATE(150)] = 2864,
  [SMALL_STATE(151)] = 2878,
  [SMALL_STATE(152)] = 2888,
  [SMALL_STATE(153)] = 2898,
  [SMALL_STATE(154)] = 2908,
  [SMALL_STATE(155)] = 2918,
  [SMALL_STATE(156)] = 2928,
  [SMALL_STATE(157)] = 2938,
  [SMALL_STATE(158)] = 2948,
  [SMALL_STATE(159)] = 2956,
  [SMALL_STATE(160)] = 2969,
  [SMALL_STATE(161)] = 2978,
  [SMALL_STATE(162)] = 2991,
  [SMALL_STATE(163)] = 3004,
  [SMALL_STATE(164)] = 3015,
  [SMALL_STATE(165)] = 3022,
  [SMALL_STATE(166)] = 3029,
  [SMALL_STATE(167)] = 3042,
  [SMALL_STATE(168)] = 3055,
  [SMALL_STATE(169)] = 3064,
  [SMALL_STATE(170)] = 3075,
  [SMALL_STATE(171)] = 3088,
  [SMALL_STATE(172)] = 3101,
  [SMALL_STATE(173)] = 3110,
  [SMALL_STATE(174)] = 3123,
  [SMALL_STATE(175)] = 3134,
  [SMALL_STATE(176)] = 3147,
  [SMALL_STATE(177)] = 3154,
  [SMALL_STATE(178)] = 3167,
  [SMALL_STATE(179)] = 3174,
  [SMALL_STATE(180)] = 3181,
  [SMALL_STATE(181)] = 3194,
  [SMALL_STATE(182)] = 3207,
  [SMALL_STATE(183)] = 3216,
  [SMALL_STATE(184)] = 3225,
  [SMALL_STATE(185)] = 3232,
  [SMALL_STATE(186)] = 3245,
  [SMALL_STATE(187)] = 3254,
  [SMALL_STATE(188)] = 3267,
  [SMALL_STATE(189)] = 3274,
  [SMALL_STATE(190)] = 3287,
  [SMALL_STATE(191)] = 3300,
  [SMALL_STATE(192)] = 3313,
  [SMALL_STATE(193)] = 3326,
  [SMALL_STATE(194)] = 3339,
  [SMALL_STATE(195)] = 3348,
  [SMALL_STATE(196)] = 3359,
  [SMALL_STATE(197)] = 3366,
  [SMALL_STATE(198)] = 3375,
  [SMALL_STATE(199)] = 3382,
  [SMALL_STATE(200)] = 3395,
  [SMALL_STATE(201)] = 3408,
  [SMALL_STATE(202)] = 3419,
  [SMALL_STATE(203)] = 3432,
  [SMALL_STATE(204)] = 3445,
  [SMALL_STATE(205)] = 3452,
  [SMALL_STATE(206)] = 3459,
  [SMALL_STATE(207)] = 3466,
  [SMALL_STATE(208)] = 3475,
  [SMALL_STATE(209)] = 3486,
  [SMALL_STATE(210)] = 3499,
  [SMALL_STATE(211)] = 3512,
  [SMALL_STATE(212)] = 3525,
  [SMALL_STATE(213)] = 3538,
  [SMALL_STATE(214)] = 3551,
  [SMALL_STATE(215)] = 3564,
  [SMALL_STATE(216)] = 3573,
  [SMALL_STATE(217)] = 3580,
  [SMALL_STATE(218)] = 3593,
  [SMALL_STATE(219)] = 3603,
  [SMALL_STATE(220)] = 3611,
  [SMALL_STATE(221)] = 3617,
  [SMALL_STATE(222)] = 3627,
  [SMALL_STATE(223)] = 3637,
  [SMALL_STATE(224)] = 3647,
  [SMALL_STATE(225)] = 3657,
  [SMALL_STATE(226)] = 3663,
  [SMALL_STATE(227)] = 3673,
  [SMALL_STATE(228)] = 3683,
  [SMALL_STATE(229)] = 3693,
  [SMALL_STATE(230)] = 3703,
  [SMALL_STATE(231)] = 3713,
  [SMALL_STATE(232)] = 3719,
  [SMALL_STATE(233)] = 3729,
  [SMALL_STATE(234)] = 3735,
  [SMALL_STATE(235)] = 3745,
  [SMALL_STATE(236)] = 3751,
  [SMALL_STATE(237)] = 3757,
  [SMALL_STATE(238)] = 3767,
  [SMALL_STATE(239)] = 3777,
  [SMALL_STATE(240)] = 3787,
  [SMALL_STATE(241)] = 3797,
  [SMALL_STATE(242)] = 3807,
  [SMALL_STATE(243)] = 3815,
  [SMALL_STATE(244)] = 3825,
  [SMALL_STATE(245)] = 3835,
  [SMALL_STATE(246)] = 3845,
  [SMALL_STATE(247)] = 3855,
  [SMALL_STATE(248)] = 3865,
  [SMALL_STATE(249)] = 3875,
  [SMALL_STATE(250)] = 3885,
  [SMALL_STATE(251)] = 3895,
  [SMALL_STATE(252)] = 3905,
  [SMALL_STATE(253)] = 3915,
  [SMALL_STATE(254)] = 3923,
  [SMALL_STATE(255)] = 3929,
  [SMALL_STATE(256)] = 3939,
  [SMALL_STATE(257)] = 3945,
  [SMALL_STATE(258)] = 3953,
  [SMALL_STATE(259)] = 3963,
  [SMALL_STATE(260)] = 3969,
  [SMALL_STATE(261)] = 3979,
  [SMALL_STATE(262)] = 3989,
  [SMALL_STATE(263)] = 3999,
  [SMALL_STATE(264)] = 4009,
  [SMALL_STATE(265)] = 4017,
  [SMALL_STATE(266)] = 4027,
  [SMALL_STATE(267)] = 4037,
  [SMALL_STATE(268)] = 4047,
  [SMALL_STATE(269)] = 4055,
  [SMALL_STATE(270)] = 4065,
  [SMALL_STATE(271)] = 4071,
  [SMALL_STATE(272)] = 4081,
  [SMALL_STATE(273)] = 4091,
  [SMALL_STATE(274)] = 4101,
  [SMALL_STATE(275)] = 4107,
  [SMALL_STATE(276)] = 4115,
  [SMALL_STATE(277)] = 4120,
  [SMALL_STATE(278)] = 4125,
  [SMALL_STATE(279)] = 4130,
  [SMALL_STATE(280)] = 4135,
  [SMALL_STATE(281)] = 4140,
  [SMALL_STATE(282)] = 4147,
  [SMALL_STATE(283)] = 4154,
  [SMALL_STATE(284)] = 4161,
  [SMALL_STATE(285)] = 4168,
  [SMALL_STATE(286)] = 4173,
  [SMALL_STATE(287)] = 4180,
  [SMALL_STATE(288)] = 4185,
  [SMALL_STATE(289)] = 4190,
  [SMALL_STATE(290)] = 4197,
  [SMALL_STATE(291)] = 4202,
  [SMALL_STATE(292)] = 4209,
  [SMALL_STATE(293)] = 4214,
  [SMALL_STATE(294)] = 4219,
  [SMALL_STATE(295)] = 4226,
  [SMALL_STATE(296)] = 4231,
  [SMALL_STATE(297)] = 4236,
  [SMALL_STATE(298)] = 4243,
  [SMALL_STATE(299)] = 4250,
  [SMALL_STATE(300)] = 4255,
  [SMALL_STATE(301)] = 4262,
  [SMALL_STATE(302)] = 4267,
  [SMALL_STATE(303)] = 4272,
  [SMALL_STATE(304)] = 4277,
  [SMALL_STATE(305)] = 4282,
  [SMALL_STATE(306)] = 4289,
  [SMALL_STATE(307)] = 4296,
  [SMALL_STATE(308)] = 4301,
  [SMALL_STATE(309)] = 4306,
  [SMALL_STATE(310)] = 4311,
  [SMALL_STATE(311)] = 4316,
  [SMALL_STATE(312)] = 4323,
  [SMALL_STATE(313)] = 4328,
  [SMALL_STATE(314)] = 4335,
  [SMALL_STATE(315)] = 4340,
  [SMALL_STATE(316)] = 4347,
  [SMALL_STATE(317)] = 4352,
  [SMALL_STATE(318)] = 4359,
  [SMALL_STATE(319)] = 4364,
  [SMALL_STATE(320)] = 4371,
  [SMALL_STATE(321)] = 4376,
  [SMALL_STATE(322)] = 4381,
  [SMALL_STATE(323)] = 4386,
  [SMALL_STATE(324)] = 4391,
  [SMALL_STATE(325)] = 4396,
  [SMALL_STATE(326)] = 4401,
  [SMALL_STATE(327)] = 4406,
  [SMALL_STATE(328)] = 4413,
  [SMALL_STATE(329)] = 4420,
  [SMALL_STATE(330)] = 4427,
  [SMALL_STATE(331)] = 4432,
  [SMALL_STATE(332)] = 4439,
  [SMALL_STATE(333)] = 4444,
  [SMALL_STATE(334)] = 4451,
  [SMALL_STATE(335)] = 4456,
  [SMALL_STATE(336)] = 4461,
  [SMALL_STATE(337)] = 4466,
  [SMALL_STATE(338)] = 4471,
  [SMALL_STATE(339)] = 4478,
  [SMALL_STATE(340)] = 4483,
  [SMALL_STATE(341)] = 4490,
  [SMALL_STATE(342)] = 4497,
  [SMALL_STATE(343)] = 4502,
  [SMALL_STATE(344)] = 4507,
  [SMALL_STATE(345)] = 4512,
  [SMALL_STATE(346)] = 4519,
  [SMALL_STATE(347)] = 4524,
  [SMALL_STATE(348)] = 4531,
  [SMALL_STATE(349)] = 4536,
  [SMALL_STATE(350)] = 4541,
  [SMALL_STATE(351)] = 4548,
  [SMALL_STATE(352)] = 4553,
  [SMALL_STATE(353)] = 4558,
  [SMALL_STATE(354)] = 4565,
  [SMALL_STATE(355)] = 4572,
  [SMALL_STATE(356)] = 4579,
  [SMALL_STATE(357)] = 4586,
  [SMALL_STATE(358)] = 4593,
  [SMALL_STATE(359)] = 4598,
  [SMALL_STATE(360)] = 4603,
  [SMALL_STATE(361)] = 4608,
  [SMALL_STATE(362)] = 4613,
  [SMALL_STATE(363)] = 4618,
  [SMALL_STATE(364)] = 4623,
  [SMALL_STATE(365)] = 4630,
  [SMALL_STATE(366)] = 4635,
  [SMALL_STATE(367)] = 4640,
  [SMALL_STATE(368)] = 4647,
  [SMALL_STATE(369)] = 4654,
  [SMALL_STATE(370)] = 4659,
  [SMALL_STATE(371)] = 4666,
  [SMALL_STATE(372)] = 4673,
  [SMALL_STATE(373)] = 4678,
  [SMALL_STATE(374)] = 4685,
  [SMALL_STATE(375)] = 4692,
  [SMALL_STATE(376)] = 4699,
  [SMALL_STATE(377)] = 4706,
  [SMALL_STATE(378)] = 4710,
  [SMALL_STATE(379)] = 4714,
  [SMALL_STATE(380)] = 4718,
  [SMALL_STATE(381)] = 4722,
  [SMALL_STATE(382)] = 4726,
  [SMALL_STATE(383)] = 4730,
  [SMALL_STATE(384)] = 4734,
  [SMALL_STATE(385)] = 4738,
  [SMALL_STATE(386)] = 4742,
  [SMALL_STATE(387)] = 4746,
  [SMALL_STATE(388)] = 4750,
  [SMALL_STATE(389)] = 4754,
  [SMALL_STATE(390)] = 4758,
  [SMALL_STATE(391)] = 4762,
  [SMALL_STATE(392)] = 4766,
  [SMALL_STATE(393)] = 4770,
  [SMALL_STATE(394)] = 4774,
  [SMALL_STATE(395)] = 4778,
  [SMALL_STATE(396)] = 4782,
  [SMALL_STATE(397)] = 4786,
  [SMALL_STATE(398)] = 4790,
  [SMALL_STATE(399)] = 4794,
  [SMALL_STATE(400)] = 4798,
  [SMALL_STATE(401)] = 4802,
  [SMALL_STATE(402)] = 4806,
  [SMALL_STATE(403)] = 4810,
  [SMALL_STATE(404)] = 4814,
  [SMALL_STATE(405)] = 4818,
  [SMALL_STATE(406)] = 4822,
  [SMALL_STATE(407)] = 4826,
  [SMALL_STATE(408)] = 4830,
  [SMALL_STATE(409)] = 4834,
  [SMALL_STATE(410)] = 4838,
  [SMALL_STATE(411)] = 4842,
  [SMALL_STATE(412)] = 4846,
  [SMALL_STATE(413)] = 4850,
  [SMALL_STATE(414)] = 4854,
  [SMALL_STATE(415)] = 4858,
  [SMALL_STATE(416)] = 4862,
  [SMALL_STATE(417)] = 4866,
  [SMALL_STATE(418)] = 4870,
  [SMALL_STATE(419)] = 4874,
  [SMALL_STATE(420)] = 4878,
  [SMALL_STATE(421)] = 4882,
  [SMALL_STATE(422)] = 4886,
  [SMALL_STATE(423)] = 4890,
  [SMALL_STATE(424)] = 4894,
  [SMALL_STATE(425)] = 4898,
  [SMALL_STATE(426)] = 4902,
  [SMALL_STATE(427)] = 4906,
  [SMALL_STATE(428)] = 4910,
  [SMALL_STATE(429)] = 4914,
  [SMALL_STATE(430)] = 4918,
  [SMALL_STATE(431)] = 4922,
  [SMALL_STATE(432)] = 4926,
  [SMALL_STATE(433)] = 4930,
  [SMALL_STATE(434)] = 4934,
  [SMALL_STATE(435)] = 4938,
  [SMALL_STATE(436)] = 4942,
  [SMALL_STATE(437)] = 4946,
  [SMALL_STATE(438)] = 4950,
  [SMALL_STATE(439)] = 4954,
  [SMALL_STATE(440)] = 4958,
  [SMALL_STATE(441)] = 4962,
  [SMALL_STATE(442)] = 4966,
  [SMALL_STATE(443)] = 4970,
  [SMALL_STATE(444)] = 4974,
  [SMALL_STATE(445)] = 4978,
  [SMALL_STATE(446)] = 4982,
  [SMALL_STATE(447)] = 4986,
  [SMALL_STATE(448)] = 4990,
  [SMALL_STATE(449)] = 4994,
  [SMALL_STATE(450)] = 4998,
  [SMALL_STATE(451)] = 5002,
  [SMALL_STATE(452)] = 5006,
  [SMALL_STATE(453)] = 5010,
  [SMALL_STATE(454)] = 5014,
  [SMALL_STATE(455)] = 5018,
  [SMALL_STATE(456)] = 5022,
  [SMALL_STATE(457)] = 5026,
  [SMALL_STATE(458)] = 5030,
  [SMALL_STATE(459)] = 5034,
  [SMALL_STATE(460)] = 5038,
  [SMALL_STATE(461)] = 5042,
  [SMALL_STATE(462)] = 5046,
  [SMALL_STATE(463)] = 5050,
  [SMALL_STATE(464)] = 5054,
  [SMALL_STATE(465)] = 5058,
  [SMALL_STATE(466)] = 5062,
  [SMALL_STATE(467)] = 5066,
  [SMALL_STATE(468)] = 5070,
  [SMALL_STATE(469)] = 5074,
  [SMALL_STATE(470)] = 5078,
  [SMALL_STATE(471)] = 5082,
  [SMALL_STATE(472)] = 5086,
  [SMALL_STATE(473)] = 5090,
  [SMALL_STATE(474)] = 5094,
  [SMALL_STATE(475)] = 5098,
  [SMALL_STATE(476)] = 5102,
  [SMALL_STATE(477)] = 5106,
  [SMALL_STATE(478)] = 5110,
  [SMALL_STATE(479)] = 5114,
  [SMALL_STATE(480)] = 5118,
  [SMALL_STATE(481)] = 5122,
  [SMALL_STATE(482)] = 5126,
  [SMALL_STATE(483)] = 5130,
  [SMALL_STATE(484)] = 5134,
  [SMALL_STATE(485)] = 5138,
  [SMALL_STATE(486)] = 5142,
  [SMALL_STATE(487)] = 5146,
  [SMALL_STATE(488)] = 5150,
  [SMALL_STATE(489)] = 5154,
  [SMALL_STATE(490)] = 5158,
  [SMALL_STATE(491)] = 5162,
  [SMALL_STATE(492)] = 5166,
  [SMALL_STATE(493)] = 5170,
  [SMALL_STATE(494)] = 5174,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [31] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_content, 1, 0, 0),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [35] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_content_repeat1, 2, 0, 0), SHIFT_REPEAT(461),
  [38] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_content_repeat1, 2, 0, 0), SHIFT_REPEAT(396),
  [41] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_content_repeat1, 2, 0, 0), SHIFT_REPEAT(410),
  [44] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_content_repeat1, 2, 0, 0), SHIFT_REPEAT(414),
  [47] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_content_repeat1, 2, 0, 0), SHIFT_REPEAT(474),
  [50] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_content_repeat1, 2, 0, 0),
  [52] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_content_repeat1, 2, 0, 0), SHIFT_REPEAT(428),
  [55] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_content_repeat1, 2, 0, 0), SHIFT_REPEAT(5),
  [58] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [60] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [62] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [64] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [66] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [68] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [70] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [72] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [74] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [76] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [78] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [80] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__intSubset, 2, 0, 0), SHIFT_REPEAT(199),
  [83] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__intSubset, 2, 0, 0), SHIFT_REPEAT(31),
  [86] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__intSubset, 2, 0, 0), SHIFT_REPEAT(478),
  [89] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__intSubset, 2, 0, 0),
  [91] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__intSubset, 2, 0, 0), SHIFT_REPEAT(302),
  [94] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [96] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [98] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cp, 1, 0, 0),
  [100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prolog, 1, 0, 0),
  [146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_EntityValue_repeat1, 2, 0, 0), SHIFT_REPEAT(486),
  [151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_EntityValue_repeat1, 2, 0, 0),
  [153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_EntityValue_repeat1, 2, 0, 0), SHIFT_REPEAT(29),
  [156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_EntityValue_repeat1, 2, 0, 0), SHIFT_REPEAT(487),
  [159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_EntityValue_repeat1, 2, 0, 0), SHIFT_REPEAT(488),
  [162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_EntityValue_repeat1, 2, 0, 0), SHIFT_REPEAT(489),
  [165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_EntityValue_repeat2, 2, 0, 0), SHIFT_REPEAT(490),
  [168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_EntityValue_repeat2, 2, 0, 0),
  [170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_EntityValue_repeat2, 2, 0, 0), SHIFT_REPEAT(30),
  [173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_EntityValue_repeat2, 2, 0, 0), SHIFT_REPEAT(491),
  [176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_EntityValue_repeat2, 2, 0, 0), SHIFT_REPEAT(492),
  [179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_EntityValue_repeat2, 2, 0, 0), SHIFT_REPEAT(493),
  [182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0),
  [184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(32),
  [187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0), SHIFT_REPEAT(239),
  [190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_document_repeat1, 2, 0, 0),
  [192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prolog, 2, 0, 0),
  [194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PEReference, 3, 0, 0),
  [196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_EmptyElemTag, 4, 0, 0),
  [198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_EmptyElemTag, 4, 0, 0),
  [200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 2, 0, 2),
  [202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 3, 0, 3),
  [206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 3, 0, 2),
  [210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 1, 0, 1),
  [212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prolog, 3, 0, 0),
  [236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_CDSect, 2, 0, 0),
  [240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_CDSect, 2, 0, 0),
  [242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_AttValue_repeat1, 2, 0, 0),
  [244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_AttValue_repeat1, 2, 0, 0), SHIFT_REPEAT(475),
  [247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_AttValue_repeat1, 2, 0, 0), SHIFT_REPEAT(476),
  [250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_AttValue_repeat1, 2, 0, 0), SHIFT_REPEAT(377),
  [253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_AttValue_repeat1, 2, 0, 0), SHIFT_REPEAT(47),
  [256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_AttValue_repeat2, 2, 0, 0),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_AttValue_repeat2, 2, 0, 0), SHIFT_REPEAT(482),
  [261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_AttValue_repeat2, 2, 0, 0), SHIFT_REPEAT(483),
  [264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_AttValue_repeat2, 2, 0, 0), SHIFT_REPEAT(484),
  [267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_AttValue_repeat2, 2, 0, 0), SHIFT_REPEAT(48),
  [270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 4, 0, 3),
  [274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_STag, 4, 0, 0),
  [280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_STag, 4, 0, 0),
  [282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prolog, 4, 0, 0),
  [284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_EntityRef, 3, 0, 0),
  [286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_EntityRef, 3, 0, 0),
  [288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_CharRef, 3, 0, 0),
  [290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_CharRef, 3, 0, 0),
  [292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_CDSect, 3, 0, 0),
  [294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_CDSect, 3, 0, 0),
  [296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_STag, 5, 0, 0),
  [300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_STag, 5, 0, 0),
  [302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__choice, 3, 0, 0),
  [304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_document, 2, 0, 1),
  [306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__Reference, 1, 0, 0),
  [308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__Reference, 1, 0, 0),
  [310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__choice, 4, 0, 0),
  [312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__choice, 5, 0, 0),
  [322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__choice, 6, 0, 0),
  [324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__choice, 7, 0, 0),
  [326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 1, 0, 0),
  [328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 1, 0, 0),
  [330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 2, 0, 0),
  [332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 2, 0, 0),
  [334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_PI, 3, 0, 0),
  [336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PI, 3, 0, 0),
  [338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_EmptyElemTag, 3, 0, 0),
  [340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_EmptyElemTag, 3, 0, 0),
  [342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_element, 3, 0, 0),
  [344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element, 3, 0, 0),
  [346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ETag, 3, 0, 0),
  [352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ETag, 3, 0, 0),
  [354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_PI, 5, 0, 0),
  [356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PI, 5, 0, 0),
  [358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_EmptyElemTag, 5, 0, 0),
  [360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_EmptyElemTag, 5, 0, 0),
  [362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ETag, 4, 0, 0),
  [364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ETag, 4, 0, 0),
  [366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_STag, 3, 0, 0),
  [384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_STag, 3, 0, 0),
  [386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_StyleSheetPI, 4, 0, 0),
  [436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_StyleSheetPI, 4, 0, 0),
  [438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_XmlModelPI, 4, 0, 0),
  [440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_XmlModelPI, 4, 0, 0),
  [442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_StyleSheetPI, 5, 0, 0),
  [454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_StyleSheetPI, 5, 0, 0),
  [456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_XmlModelPI, 5, 0, 0),
  [458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_XmlModelPI, 5, 0, 0),
  [460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_StyleSheetPI, 3, 0, 0),
  [462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_StyleSheetPI, 3, 0, 0),
  [464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__choice_repeat1, 2, 0, 0), SHIFT_REPEAT(99),
  [467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__choice_repeat1, 2, 0, 0),
  [469] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__choice_repeat1, 2, 0, 0), SHIFT_REPEAT(314),
  [472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_XmlModelPI, 3, 0, 0),
  [484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_XmlModelPI, 3, 0, 0),
  [486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_PEReference, 3, 0, 0),
  [488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Mixed_repeat1, 2, 0, 0), SHIFT_REPEAT(187),
  [491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_Mixed_repeat1, 2, 0, 0),
  [493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Mixed_repeat1, 2, 0, 0), SHIFT_REPEAT(405),
  [496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_XMLDecl, 7, 0, 0),
  [498] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_XMLDecl, 7, 0, 0),
  [500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_children, 1, 0, 0),
  [502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cp, 2, 0, 0),
  [512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_XMLDecl, 5, 0, 0),
  [514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_XMLDecl, 5, 0, 0),
  [516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_XMLDecl, 4, 0, 0),
  [526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_XMLDecl, 4, 0, 0),
  [528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__choice_repeat2, 2, 0, 0),
  [530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__choice_repeat2, 2, 0, 0), SHIFT_REPEAT(481),
  [533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__choice_repeat2, 2, 0, 0), SHIFT_REPEAT(315),
  [536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__choice_repeat1, 3, 0, 0),
  [544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__choice_repeat1, 4, 0, 0),
  [546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__intSubset, 3, 0, 0),
  [548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_NotationType_repeat1, 2, 0, 0),
  [550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_NotationType_repeat1, 2, 0, 0), SHIFT_REPEAT(194),
  [553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_NotationType_repeat1, 2, 0, 0), SHIFT_REPEAT(397),
  [556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_XMLDecl, 6, 0, 0),
  [558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_XMLDecl, 6, 0, 0),
  [560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctypedecl, 10, 0, 0),
  [568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctypedecl, 10, 0, 0),
  [570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctypedecl, 11, 0, 0),
  [582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctypedecl, 11, 0, 0),
  [584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_Mixed_repeat2, 2, 0, 0),
  [590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Mixed_repeat2, 2, 0, 0), SHIFT_REPEAT(481),
  [593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctypedecl, 8, 0, 0),
  [595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctypedecl, 8, 0, 0),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_AttlistDecl_repeat1, 2, 0, 0),
  [601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_AttlistDecl_repeat1, 2, 0, 0), SHIFT_REPEAT(248),
  [604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_Mixed_repeat1, 3, 0, 0),
  [616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctypedecl, 6, 0, 0),
  [620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctypedecl, 6, 0, 0),
  [622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctypedecl, 12, 0, 0),
  [624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctypedecl, 12, 0, 0),
  [626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctypedecl, 5, 0, 0),
  [628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctypedecl, 5, 0, 0),
  [630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_Mixed_repeat1, 4, 0, 0),
  [636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Enumeration_repeat1, 2, 0, 0), SHIFT_REPEAT(317),
  [655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_Enumeration_repeat1, 2, 0, 0),
  [657] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_Enumeration_repeat1, 2, 0, 0), SHIFT_REPEAT(394),
  [660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_NotationType_repeat1, 1, 0, 0),
  [662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_NotationType_repeat1, 1, 0, 0), SHIFT_REPEAT(196),
  [665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_EmptyElemTag_repeat1, 2, 0, 0),
  [667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_EmptyElemTag_repeat1, 2, 0, 0), SHIFT_REPEAT(300),
  [670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_NotationType_repeat1, 2, 0, 0), SHIFT_REPEAT(198),
  [673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_NotationType_repeat1, 3, 0, 0),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctypedecl, 9, 0, 0),
  [701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctypedecl, 9, 0, 0),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_doctypedecl, 7, 0, 0),
  [721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_doctypedecl, 7, 0, 0),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Mixed, 6, 0, 0),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ExternalID, 5, 0, 0),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_Enumeration_repeat1, 3, 0, 0),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ExternalID, 3, 0, 0),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_Enumeration_repeat1, 4, 0, 0),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Mixed, 3, 0, 0),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Mixed, 5, 0, 0),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Attribute, 3, 0, 0),
  [815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AttValue, 2, 0, 0),
  [817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Mixed, 4, 0, 0),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AttValue, 3, 0, 4),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_StyleSheetPI_repeat1, 2, 0, 0), SHIFT_REPEAT(281),
  [836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_StyleSheetPI_repeat1, 2, 0, 0),
  [838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__Eq, 1, 0, 0),
  [840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_Mixed_repeat2, 1, 0, 0),
  [848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_SystemLiteral, 3, 0, 0),
  [856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__Eq, 2, 0, 0),
  [858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_GEDecl, 7, 0, 0),
  [862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PseudoAttValue, 2, 0, 0),
  [868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elementdecl, 8, 0, 0),
  [878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_StringType, 1, 0, 0),
  [884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__AttType, 1, 0, 0),
  [886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AttDef, 4, 0, 0),
  [888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__EnumeratedType, 1, 0, 0),
  [892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PublicID, 3, 0, 0),
  [894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_NotationDecl, 8, 0, 0),
  [898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_EntityValue, 3, 0, 4),
  [904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_GEDecl, 8, 0, 0),
  [906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__markupdecl, 1, 0, 0),
  [914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__VersionInfo, 6, 0, 0),
  [916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PseudoAttValue, 3, 0, 4),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PEDecl, 9, 0, 0),
  [926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_GEDecl, 9, 0, 0),
  [928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__EntityDecl, 1, 0, 0),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__EncodingDecl, 6, 0, 0),
  [940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Enumeration, 3, 0, 0),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__SDDecl, 6, 0, 0),
  [950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_DefaultDecl, 1, 0, 0),
  [952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AttDef, 6, 0, 0),
  [954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PEDecl, 10, 0, 0),
  [956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_NDataDecl, 4, 0, 0),
  [958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PubidLiteral, 3, 0, 0),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Enumeration, 4, 0, 0),
  [974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AttlistDecl, 5, 0, 0),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_CDStart, 3, 0, 0),
  [982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_PseudoAtt, 3, 0, 0),
  [984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Mixed, 7, 0, 0),
  [986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Enumeration, 5, 0, 0),
  [988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_contentspec, 1, 0, 0),
  [992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [1000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_DefaultDecl, 3, 0, 0),
  [1002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Mixed, 8, 0, 0),
  [1004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_Enumeration, 6, 0, 0),
  [1006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [1008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [1010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AttlistDecl, 6, 0, 0),
  [1012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_AttlistDecl_repeat1, 2, 0, 0), SHIFT(24),
  [1015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_NotationType, 6, 0, 0),
  [1017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_NotationType, 7, 0, 0),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_NotationType, 8, 0, 0),
  [1025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_NotationType, 9, 0, 0),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [1043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elementdecl, 7, 0, 0),
  [1045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_children, 2, 0, 0),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [1049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_AttlistDecl, 7, 0, 0),
  [1051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_NotationDecl, 7, 0, 0),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [1059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_EntityValue, 2, 0, 0),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [1063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__Eq, 3, 0, 0),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [1139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [1191] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_PITarget = 0,
  ts_external_token__pi_content = 1,
  ts_external_token_Comment = 2,
  ts_external_token_CharData = 3,
  ts_external_token_CData = 4,
  ts_external_token_xml_DASHmodel = 5,
  ts_external_token_xml_DASHstylesheet = 6,
  ts_external_token__start_tag_name = 7,
  ts_external_token__end_tag_name = 8,
  ts_external_token__erroneous_end_name = 9,
  ts_external_token_SLASH_GT = 10,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_PITarget] = sym_PITarget,
  [ts_external_token__pi_content] = sym__pi_content,
  [ts_external_token_Comment] = sym_Comment,
  [ts_external_token_CharData] = sym_CharData,
  [ts_external_token_CData] = sym_CData,
  [ts_external_token_xml_DASHmodel] = anon_sym_xml_DASHmodel,
  [ts_external_token_xml_DASHstylesheet] = anon_sym_xml_DASHstylesheet,
  [ts_external_token__start_tag_name] = sym__start_tag_name,
  [ts_external_token__end_tag_name] = sym__end_tag_name,
  [ts_external_token__erroneous_end_name] = sym__erroneous_end_name,
  [ts_external_token_SLASH_GT] = anon_sym_SLASH_GT,
};

static const bool ts_external_scanner_states[11][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_PITarget] = true,
    [ts_external_token__pi_content] = true,
    [ts_external_token_Comment] = true,
    [ts_external_token_CharData] = true,
    [ts_external_token_CData] = true,
    [ts_external_token_xml_DASHmodel] = true,
    [ts_external_token_xml_DASHstylesheet] = true,
    [ts_external_token__start_tag_name] = true,
    [ts_external_token__end_tag_name] = true,
    [ts_external_token__erroneous_end_name] = true,
    [ts_external_token_SLASH_GT] = true,
  },
  [2] = {
    [ts_external_token_Comment] = true,
  },
  [3] = {
    [ts_external_token_Comment] = true,
    [ts_external_token_CharData] = true,
  },
  [4] = {
    [ts_external_token_SLASH_GT] = true,
  },
  [5] = {
    [ts_external_token_PITarget] = true,
    [ts_external_token_xml_DASHmodel] = true,
    [ts_external_token_xml_DASHstylesheet] = true,
  },
  [6] = {
    [ts_external_token_CData] = true,
  },
  [7] = {
    [ts_external_token__pi_content] = true,
  },
  [8] = {
    [ts_external_token_PITarget] = true,
  },
  [9] = {
    [ts_external_token__end_tag_name] = true,
  },
  [10] = {
    [ts_external_token__start_tag_name] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_xml_external_scanner_create(void);
void tree_sitter_xml_external_scanner_destroy(void *);
bool tree_sitter_xml_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_xml_external_scanner_serialize(void *, char *);
void tree_sitter_xml_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_xml(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_Name,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_xml_external_scanner_create,
      tree_sitter_xml_external_scanner_destroy,
      tree_sitter_xml_external_scanner_scan,
      tree_sitter_xml_external_scanner_serialize,
      tree_sitter_xml_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
